diff --git a/20221114-egor10.egor.petruhin@gmail.com-kdevelop-msg/kdevcompileanalyzercommon.pot b/20221114-egor10.egor.petruhin@gmail.com-kdevelop-msg/kdevcompileanalyzercommon.pot
index 45218bf..b6b0ac3 100644
--- a/20221114-egor10.egor.petruhin@gmail.com-kdevelop-msg/kdevcompileanalyzercommon.pot
+++ b/20221114-egor10.egor.petruhin@gmail.com-kdevelop-msg/kdevcompileanalyzercommon.pot
@@ -2,13 +2,14 @@
 # This file is distributed under the same license as the kdevelop package.
 #
 # egor <petruhin-enot@yandex.ru>, 2022.
+# Alexander Yavorsky <kekcuha@gmail.com>, 2022.
 msgid ""
 msgstr ""
 "Project-Id-Version: kdevelop\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2021-11-09 00:15+0000\n"
-"PO-Revision-Date: 2022-11-14 20:04+0400\n"
-"Last-Translator: linux_tester <petruhin-enot@yandex.ru>\n"
+"PO-Revision-Date: 2022-12-11 15:25+0300\n"
+"Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
 "Language: ru_RU\n"
 "MIME-Version: 1.0\n"
@@ -16,51 +17,53 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<"
 "=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
-"X-Generator: Lokalize 21.12.3\n"
+"X-Generator: Lokalize 21.08.3\n"
 
 #: compileanalyzeproblemmodel.cpp:84
 #, kde-format
 msgid "Analysis completed, no problems detected."
-msgstr "Анализ завершён, проблемы не обнаружены."
+msgstr "Анализ завершён, ни одной проблемы не обнаружено."
 
 #: compileanalyzeproblemmodel.cpp:107
 #, kde-format
 msgid "Analysis started..."
-msgstr "Анализ запущен..."
+msgstr "Анализ запущен…"
 
 #: compileanalyzeproblemmodel.cpp:110
 #, kde-format
 msgctxt "@info:tooltip %2 is the path of the file"
 msgid "Re-run last %1 analysis (%2)"
-msgstr "Повторное выполнение последнего %1 анализа (%2)"
+msgstr "Повторное выполнение последнего анализа с использованием %1 («%2»)"
 
 #: compileanalyzeproblemmodel.cpp:112
 #, kde-format
 msgctxt "@info:tooltip"
 msgid "Re-run last %1 analysis"
-msgstr "Повторное выполнение последнего %1 анализа"
+msgstr "Повторное выполнение последнего анализа с использованием %1"
 
 #: compileanalyzer.cpp:74
 #, kde-format
 msgctxt "@action"
 msgid "Analyze Current File with %1"
-msgstr "Анализ текущего файла  с помощью %1"
+msgstr "Проверить текущий файл с помощью %1"
 
 #: compileanalyzer.cpp:79
 #, kde-format
 msgctxt "@action"
 msgid "Analyze Current Project with %1"
-msgstr "Анализ текущего проекта с помощью %1"
+msgstr "Проверить текущий проект с помощью %1"
 
 #: compileanalyzer.cpp:161
 #, kde-format
 msgid "No suitable active file, unable to deduce project."
-msgstr "Нет подходящего активного файла, невозможно вывести проект."
+msgstr ""
+"Нет ни одного подходящего активного файла, невозможно сделать выводы о"
+" проекте."
 
 #: compileanalyzer.cpp:173
 #, kde-format
 msgid "Active file isn't in a project."
-msgstr "Активный файл отсутствует в проекте."
+msgstr "Активный файл не входит в проект."
 
 #: compileanalyzer.cpp:186
 #, kde-format
@@ -69,38 +72,38 @@ msgid ""
 "\n"
 "%2"
 msgstr ""
-"Невозможно начать проверку для '%1':\n"
+"Не удалось запустить проверку «%1»:\n"
 "\n"
 "%2"
 
 #: compileanalyzer.cpp:216
-#, fuzzy, kde-format
+#, kde-format
 msgctxt "@title:window"
 msgid "Test"
-msgstr "Тест"
+msgstr "Проверка"
 
 #: compileanalyzeutils.cpp:45
 #, kde-format
 msgid "Compilation database file not found: '%1'"
-msgstr "Не найден файл базы данных компиляции: '%1'"
+msgstr "Не найден файл базы данных компиляции: «%1»"
 
 #: compileanalyzeutils.cpp:51 compileanalyzeutils.cpp:110
 #, kde-format
 msgid ""
 "Nothing to check: compilation database file '%1' contains no matching items."
 msgstr ""
-"Нечего проверять: файл базы данных компиляции  '%1'  не содержит подходящих"
-" элементов."
+"Нечего проверять: файл базы данных компиляции «%1» не содержит подходящих"
+" объектов."
 
 #: compileanalyzeutils.cpp:57
 #, kde-format
 msgid "Could not open compilation database file for reading: '%1'"
-msgstr "Не удалось открыть для чтения файл базы данных компиляции: '%1'"
+msgstr "Не удалось открыть для чтения файл базы данных компиляции: «%1»"
 
 #: compileanalyzeutils.cpp:65
 #, kde-format
 msgid "JSON error during parsing compilation database file '%1': %2"
-msgstr "Ошибка JSON при разборе файла базы данных компиляции '%1': %2"
+msgstr "Ошибка JSON при разборе файла базы данных компиляции «%1»: %2"
 
 #: compileanalyzeutils.cpp:70
 #, kde-format
@@ -108,5 +111,5 @@ msgid ""
 "JSON error during parsing compilation database file '%1': document is not an "
 "array."
 msgstr ""
-"Ошибка JSON при разборе файла базы данных компиляции '%1':  документ не"
+"Ошибка JSON при разборе файла базы данных компиляции «%1»: документ не"
 " является массивом."