diff --git "a/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-spectacle-msg/spectacle.po" "b/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-spectacle-msg/spectacle.po"
index 11e36d2..861d4e1 100644
--- "a/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-spectacle-msg/spectacle.po"	
+++ "b/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-spectacle-msg/spectacle.po"	
@@ -17,7 +17,7 @@
 # Alexander Lakhin <exclusion@gmail.com>, 2013.
 # Alexander Potashev <aspotashev@gmail.com>, 2015, 2016, 2017, 2018.
 # Andrew <kissmeoutbeforeugo@gmail.com>, 2016.
-# Alexander Yavorsky <kekcuha@gmail.com>, 2018, 2019, 2020, 2021.
+# Alexander Yavorsky <kekcuha@gmail.com>, 2018, 2019, 2020, 2021, 2022.
 # Olesya Gerasimenko <translation-team@basealt.ru>, 2022.
 # Павел Чернышов <farline99@yandex.ru>, 2022.
 msgid ""
@@ -25,14 +25,14 @@ msgstr ""
 "Project-Id-Version: ksnapshot\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2022-12-08 00:43+0000\n"
-"PO-Revision-Date: 2022-12-11 12:44+0300\n"
-"Last-Translator: Павел Чернышов <farline99@yandex.ru>\n"
+"PO-Revision-Date: 2022-12-11 23:02+0300\n"
+"Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 22.12.0\n"
+"X-Generator: Lokalize 21.08.3\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
 "X-Environment: kde\n"
@@ -84,7 +84,7 @@ msgstr "Весь экран"
 #: src/CaptureModeModel.cpp:109
 #, kde-format
 msgid "All Screens (Scaled to same size)"
-msgstr "Все экраны (масштабированные до одинакового размера)"
+msgstr "Все экраны (одинаковый масштаб)"
 
 # BUGME: term inconsistency: "monitor" vs "screen" --aspotashev
 #: src/CaptureModeModel.cpp:116
@@ -305,15 +305,15 @@ msgid "Select"
 msgstr "Выбрать"
 
 #: src/Gui/AnnotationsToolBarContents.qml:80
-#, fuzzy, kde-format
+#, kde-format
 #| msgid "Freehand Region"
 msgid "Freehand"
-msgstr "Произвольная область экрана"
+msgstr "Произвольная линия"
 
 #: src/Gui/AnnotationsToolBarContents.qml:87
 #, kde-format
 msgid "Highlighter"
-msgstr "Хайлайтер"
+msgstr "Выделение"
 
 #: src/Gui/AnnotationsToolBarContents.qml:94
 #, kde-format
@@ -328,10 +328,10 @@ msgid "Arrow"
 msgstr "Стрелка"
 
 #: src/Gui/AnnotationsToolBarContents.qml:108
-#, fuzzy, kde-format
+#, kde-format
 #| msgid "Rectangular Region"
 msgid "Rectangle"
-msgstr "Прямоугольная область"
+msgstr "Прямоугольник"
 
 #: src/Gui/AnnotationsToolBarContents.qml:115
 #, kde-format
@@ -341,7 +341,7 @@ msgstr "Эллипс"
 #: src/Gui/AnnotationsToolBarContents.qml:122
 #, kde-format
 msgid "Pixelate"
-msgstr "Пикселизировать"
+msgstr "Пикселизация"
 
 #: src/Gui/AnnotationsToolBarContents.qml:129
 #, kde-format
@@ -362,7 +362,7 @@ msgstr "Число"
 #, kde-format
 #| msgid "<b>Capture Mode</b>"
 msgid "Capture Mode"
-msgstr "Режим съемки"
+msgstr "Режим съёмки"
 
 # BUGME: please add @title:window; please add ellipsis to the action name --aspotashev
 #: src/Gui/CaptureOptionsSidebarContents.qml:52
@@ -447,10 +447,10 @@ msgstr "По щелчку"
 #| msgid_plural "%1 seconds"
 msgid "Cancel (%1 second)"
 msgid_plural "Cancel (%1 seconds)"
-msgstr[0] "Отменить (%1 секунда)"
-msgstr[1] "Отменить (%1 секунд)"
-msgstr[2] "Отменить (%1 секунд)"
-msgstr[3] "Отменить (%1 секунд)"
+msgstr[0] "Отмена (%1 секунда)"
+msgstr[1] "Отмена (%1 секунды)"
+msgstr[2] "Отмена (%1 секунда)"
+msgstr[3] "Отмена (%1 секунда)"
 
 #: src/Gui/CaptureOptionsSidebarContents.qml:124
 #, kde-format
@@ -496,13 +496,13 @@ msgstr "Сделать новый снимок экрана"
 #, kde-format
 #| msgid "<b>Capture Mode</b>"
 msgid "Capture Modes"
-msgstr "Режимы съемки"
+msgstr "Режимы съёмки"
 
 #: src/Gui/DialogPage.qml:139 src/Gui/OptionsMenu.cpp:66
 #, kde-format
 #| msgid "Captures a region"
 msgid "Capture Settings"
-msgstr "Настройки съемки"
+msgstr "Параметры съёмки"
 
 #: src/Gui/DialogPage.qml:157
 #, kde-format
@@ -517,12 +517,12 @@ msgstr "Ждать щелчка мышью перед съёмкой изобр
 msgid "Capture only the current pop-up window (like a menu, tooltip etc).\n"
 msgstr ""
 "Захватить только текущее всплывающее окно (например, меню, всплывающую "
-"подсказку и т.д.).\n"
+"подсказку и тому подобное).\n"
 
 #: src/Gui/DialogPage.qml:204
 #, kde-format
 msgid "Configure Spectacle…"
-msgstr "Настроить Spectacle"
+msgstr "Настроить Spectacle…"
 
 #: src/Gui/DialogPage.qml:210 src/Gui/MainToolBarContents.qml:149
 #, kde-format
@@ -580,13 +580,13 @@ msgstr "Экспорт"
 #| msgctxt "@action:button"
 #| msgid "Annotation Done"
 msgid "Show Annotation Tools"
-msgstr "Показать инструменты аннотации"
+msgstr "Показать инструменты комментирования"
 
 #: src/Gui/MainToolBarContents.qml:119
 #, kde-format
 #| msgid "Take a New Screenshot"
 msgid "New Screenshot"
-msgstr "Сделать новый снимок экрана"
+msgstr "Сделать новый снимок"
 
 #: src/Gui/MainToolBarContents.qml:142
 #, kde-format
@@ -1001,7 +1001,7 @@ msgstr "Последний использованный режим аннота
 #: src/Gui/SettingsDialog/spectacle.kcfg:179
 #, kde-format
 msgid "Stroke width for freehand annotation tool"
-msgstr "Ширина штриха для инструмента аннотации от руки"
+msgstr "Ширина обводки произвольный линии"
 
 #. i18n: ectx: label, entry (highlighterStrokeWidth), group (Annotations)
 #. i18n: ectx: label, entry (highlighterStrokeColor), group (Annotations)
@@ -1009,7 +1009,7 @@ msgstr "Ширина штриха для инструмента аннотаци
 #: src/Gui/SettingsDialog/spectacle.kcfg:183
 #, kde-format
 msgid "Stroke width for highlighter annotation tool"
-msgstr "Ширина штриха для инструмента выделения аннотаций"
+msgstr "Ширина обводки выделения"
 
 #. i18n: ectx: label, entry (lineStrokeWidth), group (Annotations)
 #. i18n: ectx: label, entry (lineStrokeColor), group (Annotations)
@@ -1017,7 +1017,7 @@ msgstr "Ширина штриха для инструмента выделени
 #: src/Gui/SettingsDialog/spectacle.kcfg:187
 #, kde-format
 msgid "Stroke width for line annotation tool"
-msgstr "Ширина обводки для инструмента аннотирования линий"
+msgstr "Ширина обводки линии"
 
 #. i18n: ectx: label, entry (arrowStrokeWidth), group (Annotations)
 #. i18n: ectx: label, entry (arrowStrokeColor), group (Annotations)
@@ -1025,7 +1025,7 @@ msgstr "Ширина обводки для инструмента аннотир
 #: src/Gui/SettingsDialog/spectacle.kcfg:191
 #, kde-format
 msgid "Stroke width for arrow annotation tool"
-msgstr "Ширина обводки для инструмента аннотации стрелки"
+msgstr "Ширина обводки стрелки"
 
 #. i18n: ectx: label, entry (rectangleStrokeWidth), group (Annotations)
 #. i18n: ectx: label, entry (rectangleStrokeColor), group (Annotations)
@@ -1035,7 +1035,7 @@ msgstr "Ширина обводки для инструмента аннотац
 #: src/Gui/SettingsDialog/spectacle.kcfg:204
 #, kde-format
 msgid "Stroke width for rectangle annotation tool"
-msgstr "Ширина обводки для инструмента аннотации прямоугольника"
+msgstr "Ширина обводки прямоугольника"
 
 #. i18n: ectx: label, entry (ellipseStrokeWidth), group (Annotations)
 #. i18n: ectx: label, entry (ellipseStrokeColor), group (Annotations)
@@ -1047,7 +1047,7 @@ msgstr "Ширина обводки для инструмента аннотац
 #: src/Gui/SettingsDialog/spectacle.kcfg:212
 #, kde-format
 msgid "Stroke width for ellipse annotation tool"
-msgstr "Ширина обводки для инструмента аннотации эллипса"
+msgstr "Ширина обводки эллипса"
 
 #. i18n: ectx: label, entry (textFont), group (Annotations)
 #. i18n: ectx: label, entry (numberFont), group (Annotations)
@@ -1055,7 +1055,7 @@ msgstr "Ширина обводки для инструмента аннотац
 #: src/Gui/SettingsDialog/spectacle.kcfg:220
 #, kde-format
 msgid "Font for annotations"
-msgstr "Шрифт для аннотаций"
+msgstr "Шрифт"
 
 #. i18n: ectx: label, entry (textFontColor), group (Annotations)
 #. i18n: ectx: label, entry (numberFontColor), group (Annotations)
@@ -1063,7 +1063,7 @@ msgstr "Шрифт для аннотаций"
 #: src/Gui/SettingsDialog/spectacle.kcfg:228
 #, kde-format
 msgid "Font color for annotations"
-msgstr "Цвет шрифта для аннотаций"
+msgstr "Цвет шрифта"
 
 #: src/Gui/SharedMessage.qml:13
 #, kde-format
@@ -1208,7 +1208,7 @@ msgstr[3] "%1 секунда"
 #| msgid "Unsaved[*]"
 msgctxt "@title:window Unsaved Screenshot"
 msgid "Unsaved"
-msgstr "Несохраненный"
+msgstr "Несохраненный снимок экрана"
 
 #: src/Gui/UndoRedoGroup.qml:32
 #, kde-format
@@ -1218,7 +1218,7 @@ msgstr "Отменить"
 #: src/Gui/UndoRedoGroup.qml:45
 #, kde-format
 msgid "Redo"
-msgstr "Переделать"
+msgstr "Повторить"
 
 #: src/Main.cpp:40
 #, kde-format
@@ -1241,7 +1241,7 @@ msgctxt "NAME OF TRANSLATORS"
 msgid "Your names"
 msgstr ""
 "Денис Першин,Андрей Черепанов,Виктор Рыжих,Александр Поташев,Андрей Фомин,"
-"Дмитрий Астанков"
+"Дмитрий Астанков,Павел Чернышов"
 
 #: src/Main.cpp:48
 #, kde-format
@@ -1249,7 +1249,7 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr ""
 "dyp@perchine.com,skull@kde.ru,victorr2007@yandex.ru,aspotashev@gmail.com,"
-"kissmeoutbeforeugo@gmail.com,mornie@basealt.ru"
+"kissmeoutbeforeugo@gmail.com,mornie@basealt.ru,farline99@yandex.ru"
 
 #: src/ShortcutActions.cpp:58
 #, kde-format
@@ -1270,7 +1270,7 @@ msgstr "Создание снимка экрана отменено или не
 #, kde-format
 #| msgid "A screenshot was copied to your clipboard."
 msgid "A screenshot was saved to your clipboard."
-msgstr "Снимок экрана был сохранен в ваш буфер обмена."
+msgstr "Снимок экрана скопирован в буфер обмена."
 
 #: src/SpectacleCore.cpp:664
 #, kde-format
@@ -1281,8 +1281,8 @@ msgid ""
 "A screenshot was saved as '%1' to '%2' and the file path of the screenshot "
 "has been saved to your clipboard."
 msgstr ""
-"Снимок экрана сохранён как «%1» в «%2», полный путь к нему сохранен в "
-"буфер обмена."
+"Снимок экрана сохранён как «%1» в «%2», полный путь к нему скопирован в буфер"
+" обмена."
 
 #: src/SpectacleCore.cpp:668
 #, kde-format