diff --git a/20221008-Peter Shkenev<petershh@disroot.org>-kalzium-mgs/kalzium.po b/20221008-Peter Shkenev<petershh@disroot.org>-kalzium-mgs/kalzium.po
index 4a38eca..7ceb178 100644
--- a/20221008-Peter Shkenev<petershh@disroot.org>-kalzium-mgs/kalzium.po	
+++ b/20221008-Peter Shkenev<petershh@disroot.org>-kalzium-mgs/kalzium.po	
@@ -13,21 +13,21 @@
 # Yuri Efremov <yur.arh@gmail.com>, 2013.
 # Julia Dronova <juliette.tux@gmail.com>, 2013.
 # Alexander Wolf <alex.v.wolf@gmail.com>, 2013.
-# Alexander Yavorsky <kekcuha@gmail.com>, 2021.
+# Alexander Yavorsky <kekcuha@gmail.com>, 2021, 2022.
 # Sergey Kazorin <translation-team@basealt.ru>, 2021, 2022.
 msgid ""
 msgstr ""
 "Project-Id-Version: kalzium\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2022-07-12 00:41+0000\n"
-"PO-Revision-Date: 2022-05-31 16:26+0300\n"
-"Last-Translator: Olesya Gerasimenko <translation-team@basealt.ru>\n"
+"PO-Revision-Date: 2022-12-11 22:02+0300\n"
+"Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 21.12.3\n"
+"X-Generator: Lokalize 21.08.3\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
 "X-Environment: kde\n"
@@ -39,14 +39,15 @@ msgctxt "NAME OF TRANSLATORS"
 msgid "Your names"
 msgstr ""
 "Андрей Черепанов, Николай Ерёмин, Валерий Харитонов, Александр Вольф, Сергей "
-"Казорин"
+"Казорин, Олеся Герасименко,Пётр Шкенев"
 
 #, kde-format
 msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr ""
 "skull@kde.ru, doktorkster@gmail.com, kharvd@gmail.com, alex.v.wolf@gmail."
-"com, translation-team@basealt.ru"
+"com, translation-team@basealt.ru, translation-team@basealt.ru,petershh@disroot"
+".org"
 
 #: compoundviewer/iowrapper.cpp:30
 #, kde-format
@@ -835,8 +836,8 @@ msgstr ""
 "Часовые стекла — это круглые стекла диаметром 5-10 см, используемые в "
 "различных экспериментальных методиках. Стёкла имеют выпукло-вогнутую форму, "
 "чтобы удерживать некоторое количество жидкости для последующего испарения. "
-"Испарение может быть ускорено путем нагревания часового стекла горелкой "
-"Бунзена. Часовыми стеклами также можно накрывать чашки Петри или химические "
+"Испарение может быть ускорено путём нагревания часового стекла горелкой "
+"Бунзена. Часовыми стёклами также можно накрывать чашки Петри или химические "
 "стаканы. Подходят они и для взвешивания небольшого количества вещества, а "
 "также его сушки в сушильном шкафу. Термин «часовое стекло» происходит от "
 "защитных стёкол карманных часов, так как эти стёкла часто имели выпукло-"
@@ -1311,7 +1312,7 @@ msgid ""
 "needed, times of outflow are indicated on the pipettes."
 msgstr ""
 "Мерные пипетки используют в лабораториях для внесения небольших объёмов "
-"жидкости. На пипетке присутствует градуированная шкала для измерения объема, "
+"жидкости. На пипетке присутствует градуированная шкала для измерения объёма, "
 "а применение резиновой груши позволяет использовать пипетки для капельного "
 "дозирования жидкостей. Оба вида мерных пипеток откалиброваны на "
 "использование жидкостей с температурой 20°C и на определённую скорость "
@@ -1939,7 +1940,7 @@ msgid ""
 "named 'magnesia nigra', or for short, Manganese."
 msgstr ""
 "Был обнаружен в чернозёме возле города Магнезия. Поэтому получил "
-"название«magnesia nigra» («чёрная магнезия») или сокращенно — "
+"название«magnesia nigra» («чёрная магнезия») или сокращённо — "
 "«Manganese»(«марганец»)."
 
 #. i18n: tag label attribute value
@@ -2560,8 +2561,8 @@ msgstr "Осмий"
 #, kde-format
 msgid "Greek for 'smell'. Its oxides smell strongly like radishes."
 msgstr ""
-"Название происходит от греческого «запах». Оксиды осмия сильно "
-"пахнут редиской."
+"Название происходит от греческого «запах». Оксиды осмия сильно пахнут"
+" редиской."
 
 #. i18n: tag label attribute value
 #: element_tiny.xml:155
@@ -2595,8 +2596,8 @@ msgstr "Золото"
 #, kde-format
 msgid "Latin 'aurum'. Named after Aurora, the goddess of sunrise."
 msgstr ""
-"Название происходит от латинского «aurum». Названо в честь Авроры, "
-"богини утренней зари."
+"Название происходит от латинского «aurum». Названо в честь Авроры, богини"
+" утренней зари."
 
 #. i18n: tag label attribute value
 #: element_tiny.xml:161
@@ -2753,8 +2754,8 @@ msgstr "Уран"
 #, kde-format
 msgid "Greek 'ouranos' for 'heaven'. Named after the planet Uranus."
 msgstr ""
-"Название происходит от греческого «ouranos» — «небо». Назван в честь планеты "
-"Уран."
+"Название происходит от греческого «ouranos» — «небо». Назван в честь планеты"
+" Уран."
 
 #. i18n: tag label attribute value
 #: element_tiny.xml:187
@@ -3067,9 +3068,9 @@ msgid ""
 "National Laboratory and Vanderbilt University whom were co-discoverers of "
 "this element. Historically known as eka-astatine."
 msgstr ""
-"Назван в честь американского штата Теннесси, где находятся Национальная "
-"лаборатория Ок-Ридж и Университет Вандербильта, которые "
-"были первооткрывателями этого элемента. Ранее был известен как эка-астат."
+"Назван в честь американского штата Теннесси, где находятся Национальная"
+" лаборатория Ок-Ридж и Университет Вандербильта, которые были"
+" первооткрывателями этого элемента. Ранее был известен как эка-астат."
 
 #. i18n: tag label attribute value
 #: element_tiny.xml:237
@@ -3083,9 +3084,9 @@ msgid ""
 "Named in honor of Professor Yuri Oganessian's trans-actinide element "
 "research. Historically known as eka-radon, eka-emanation before 1960."
 msgstr ""
-"Назван в честь профессора Юрия Оганесяна, специалиста в "
-"области экспериментальной ядерной физики. Ранее был известен как эка-радон, "
-"а до 1960 г. — как эка-эманация. "
+"Назван в честь профессора Юрия Оганесяна, специалиста в области"
+" экспериментальной ядерной физики. Ранее был известен как эка-радон, а до"
+" 1960 г. — как эка-эманация."
 
 #: libscience/psetables.cpp:150
 #, kde-format
@@ -3237,34 +3238,34 @@ msgid ""
 "equations and see how the concentration of a species changes in function of "
 "another one.</li></ul>"
 msgstr ""
-"<big>Добро пожаловать в раздел «Химический калькулятор» приложения Kalzium!"
-"<br /></big>\n"
-"<p>Раздел «Химический калькулятор» состоит из набора калькуляторов, "
-"проводящих различные вычисления для различных задач.</p>\n"
+"<big>Добро пожаловать в раздел «Химический калькулятор» приложения Kalzium!<"
+"br /></big>\n"
+"<p>Раздел «Химический калькулятор» состоит из набора калькуляторов,"
+" проводящих различные вычисления для различных задач.</p>\n"
 "<p>В приложении Kalzium имеются следующие калькуляторы:</p>\n"
-"<ul><li><b>Молекулярная масса<br /></b>Калькулятор позволяет "
-"вычислять молекулярные массы различных молекул.<br />Можно задавать короткие "
-"формы наименований молекул в виде сокращений.</li>\n"
-"<li><b>Концентрации<br /></b>Позволяет вычислять следующие "
-"количественные величины:</li>\n"
+"<ul><li><b>Молекулярная масса<br /></b>Калькулятор позволяет вычислять"
+" молекулярные массы различных молекул.<br />Можно задавать короткие формы"
+" наименований молекул в виде сокращений.</li>\n"
+"<li><b>Концентрации<br /></b>Позволяет вычислять следующие количественные"
+" величины:</li>\n"
 "<ul type=\"circle\"><li>Количество вещества</li>\n"
 "<li>Объём раствора</li>\n"
 "<li>Концентрация вещества</li></ul>\n"
-"<p>На выбор предлагается широкий ряд единиц измерения и различные "
-"способы выражения количества вещества.</p>\n"
-"<li><b>Ядерный распад<br /></b>Калькулятор берёт данные по составу ядер из "
-"приложения Kalzium и вычисляет значение ожидаемой массы вещества через "
-"определённый промежуток времени.</li>\n"
-"<li><b>Газ<br /></b>Калькулятор вычисляет температуру, давление, объём,"
-"количество газа и другие параметры для различных идеальных и неидеальных "
-"газов.</li>\n"
-"<li><b>Балансировка уравнений<br /></b>Калькулятор осуществляет балансировку "
-"химических уравнений.</li>\n"
-"<li><b>Титриметрический анализ<br /></b>Калькулятор пытается найти точку "
-"эквивалентности при титровании по индикатору pH, которой лучше всего "
-"соответствует функция гиперболического тангенса. Также может решить систему "
-"уравнений равновесия и определить изменение концентрации одного из веществ в "
-"зависимости от концентрации другого.</li></ul>"
+"<p>На выбор предлагается широкий ряд единиц измерения и различные способы"
+" выражения количества вещества.</p>\n"
+"<li><b>Ядерный распад<br /></b>Калькулятор берёт данные по составу ядер из"
+" приложения Kalzium и вычисляет значение ожидаемой массы вещества через"
+" определённый промежуток времени.</li>\n"
+"<li><b>Газ<br /></b>Калькулятор вычисляет температуру, давление,"
+" объём,количество газа и другие параметры для различных идеальных и"
+" неидеальных газов.</li>\n"
+"<li><b>Балансировка уравнений<br /></b>Калькулятор осуществляет балансировку"
+" химических уравнений.</li>\n"
+"<li><b>Титриметрический анализ<br /></b>Калькулятор пытается найти точку"
+" эквивалентности при титровании по индикатору pH, которой лучше всего"
+" соответствует функция гиперболического тангенса. Также может решить систему"
+" уравнений равновесия и определить изменение концентрации одного из веществ в"
+" зависимости от концентрации другого.</li></ul>"
 
 #: src/calculator/concCalculator.cpp:893
 #, kde-format
@@ -3358,7 +3359,7 @@ msgid ""
 "You can calculate the molar mass of solvent only if the mole fraction is "
 "specified."
 msgstr ""
-"Вычислить молярную массу растворителя возможно только при указаниимолярной "
+"Вычислить молярную массу растворителя возможно только при указании молярной "
 "концентрации."
 
 #: src/calculator/concCalculator.cpp:938
@@ -5233,7 +5234,7 @@ msgstr ""
 "уравнения будет вычислено необходимое количество водорода и кислорода. "
 "<br><br><b>Определение электрических зарядов</b><br>Используйте квадратные "
 "скобки для указания электрического заряда элемента, как показано в "
-"данномпримере:<br><i>4H[+]+ 2O -> cH2O[2+]</i> (Результат: <b>4</b> H<b><sup>"
+"данном примере:<br><i>4H[+]+ 2O -> cH2O[2+]</i> (Результат: <b>4</b> H<b><sup>"
 "+</sup></b> +<b>2</b> O -&gt; <b>2</b> H<b><sub>2</sub></b>O<b><sup>2+</"
 "sub></b>)"
 
@@ -6496,8 +6497,8 @@ msgid ""
 "For instance, in the molecule MeOH, the alias used is Me = CH3."
 msgstr ""
 "Здесь приведены все используемые в молекуле сокращения.\n"
-"Например, если дана молекула MeOH, то сокращение, используемоев формуле — Me "
-"= CH3."
+"Например, если дана молекула MeOH, то сокращение, используемое в формуле — Me"
+" = CH3."
 
 #. i18n: ectx: property (text), widget (QTableWidget, alias_list)
 #: src/molcalcwidgetbase.ui:262
@@ -7348,7 +7349,7 @@ msgid ""
 "R3: Extreme risk of explosion by shock, friction, fire or other sources of "
 "ignition"
 msgstr ""
-"R3: Чрезвычайно взрывоопасно при встряхивании, трении, контакте с огнем и "
+"R3: Чрезвычайно взрывоопасно при встряхивании, трении, контакте с огнём и "
 "других действиях, вызывающих возгорание"
 
 #: src/rsdialog.cpp:335
@@ -7769,7 +7770,7 @@ msgctxt ""
 "Please take the official translations! You find them here: https://eur-lex."
 "europa.eu/LexUriServ/LexUriServ.do?uri=CELEX:32001L0059:EN:HTML"
 msgid "R57: Toxic to bees"
-msgstr "R57: Токсично для пчел"
+msgstr "R57: Токсично для пчёл"
 
 #: src/rsdialog.cpp:491
 #, kde-format
@@ -7936,27 +7937,27 @@ msgstr "Поиск..."
 #: src/settings/isotopetablesettingscard.cpp:36
 #, kde-format
 msgid "Next to each other"
-msgstr ""
+msgstr "Рядом друг с другом"
 
 #: src/settings/isotopetablesettingsdialog.cpp:21
 #, kde-format
 msgid "One part to the side of the other"
-msgstr ""
+msgstr "Одна часть сбоку от другой"
 
 #: src/settings/isotopetablesettingsdialog.cpp:26
 #, kde-format
 msgid "Both parts continuous"
-msgstr ""
+msgstr "Обе части непрерывно"
 
 #: src/settings/isotopetablesettingsdialog.cpp:31
 #, kde-format
 msgid "Horizontally"
-msgstr ""
+msgstr "Горизонтально"
 
 #: src/settings/isotopetablesettingsdialog.cpp:36
 #, kde-format
 msgid "Horizontally (shifted)"
-msgstr ""
+msgstr "Горизонтально (со смещением)"
 
 #: src/settings/kalziumconfigdialog.cpp:15
 #, kde-format