diff --git "a/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-koko-msg/koko.po" "b/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-koko-msg/koko.po"
index 6af74d3..4ee624f 100644
--- "a/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-koko-msg/koko.po"	
+++ "b/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-koko-msg/koko.po"	
@@ -1,15 +1,15 @@
 # Copyright (C) YEAR This file is copyright:
 # This file is distributed under the same license as the koko package.
 #
-# Alexander Yavorsky <kekcuha@gmail.com>, 2021.
+# Alexander Yavorsky <kekcuha@gmail.com>, 2021, 2022.
 # Павел Чернышов <farline99@yandex.ru>, 2022.
 msgid ""
 msgstr ""
 "Project-Id-Version: koko\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2022-10-28 00:43+0000\n"
-"PO-Revision-Date: 2022-12-11 14:12+0300\n"
-"Last-Translator: Павел Чернышов <farline99@yandex.ru>\n"
+"PO-Revision-Date: 2022-12-11 22:37+0300\n"
+"Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
@@ -17,17 +17,17 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Generator: Lokalize 22.12.0\n"
+"X-Generator: Lokalize 21.08.3\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
 msgid "Your names"
-msgstr "Александр Яворский"
+msgstr "Александр Яворский, Павел Чернышов"
 
 #, kde-format
 msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
-msgstr "kekcuha@gmail.com"
+msgstr "kekcuha@gmail.com, farline99@yandex.ru"
 
 #: main.cpp:57
 #, kde-kuit-format
@@ -39,7 +39,7 @@ msgstr "<application>Koko</application>"
 #, kde-kuit-format
 msgctxt "@title"
 msgid "Koko is an image viewer for your image collection."
-msgstr "Koko - это средство просмотра изображений для вашей фото-коллекции."
+msgstr "Koko — приложение для просмотра изображений."
 
 #: main.cpp:61
 #, kde-kuit-format
@@ -92,7 +92,7 @@ msgstr "Mikel Johnson"
 #: main.cpp:84
 #, kde-format
 msgid "Image viewer"
-msgstr "Средство просмотра изображений"
+msgstr "Приложение для просмотра изображений"
 
 #: main.cpp:85
 #, kde-format
@@ -118,10 +118,10 @@ msgstr "Общий URL-адрес для изображения - <a href='%1'>%
 #, kde-format
 msgid "1 Image"
 msgid_plural "%1 Images"
-msgstr[0] "1 изображение"
-msgstr[1] "%1 изображений"
+msgstr[0] "%1 изображение"
+msgstr[1] "%1 изображения"
 msgstr[2] "%1 изображений"
-msgstr[3] "%1 изображений"
+msgstr[3] "одно изображение"
 
 #: qml/AlbumView.qml:222 qml/AlbumView.qml:255
 #, kde-format
@@ -133,7 +133,7 @@ msgstr "Удалить закладку"
 #| msgid "By Folder"
 msgctxt "@action:button Bookmarks the current folder"
 msgid "Bookmark Folder"
-msgstr "Папка с закладками"
+msgstr "Добавить папку в закладки"
 
 #: qml/AlbumView.qml:276
 #, kde-format
@@ -175,7 +175,7 @@ msgstr "Восстановить выбранные элементы из кор
 #: qml/AlbumView.qml:355 qml/PlacesPage.qml:22
 #, kde-format
 msgid "Configure…"
-msgstr "Настроить..."
+msgstr "Настроить…"
 
 #: qml/AlbumView.qml:360
 #, kde-format
@@ -185,7 +185,7 @@ msgstr "Выбрать все"
 #: qml/AlbumView.qml:361
 #, kde-format
 msgid "Selects all the media in the current view"
-msgstr "Выбирает все медиафайлы в текущем представлении"
+msgstr "Выбрать все изображения и видео в текущем представлении"
 
 #: qml/AlbumView.qml:368
 #, kde-format
@@ -195,7 +195,7 @@ msgstr "Отменить всё выделение"
 #: qml/AlbumView.qml:369
 #, kde-format
 msgid "De-selects all the selected media"
-msgstr "Отменяет выделение всех выбранных медиафайлов"
+msgstr "Снять выделение с всех выбранных изображений и видео"
 
 #: qml/AlbumView.qml:501
 #, kde-format
@@ -240,20 +240,20 @@ msgid ""
 "Unable to save file. Check if you have the correct permission to edit this "
 "file."
 msgstr ""
-"Не удается сохранить файл. Проверьте, есть ли у вас правильные разрешения на "
-"редактирование этогофайла."
+"Не удалось сохранить файл. Проверьте, достаточно ли прав доступа для"
+" редактирования имеется этого файла."
 
 #: qml/EditorView.qml:65
 #, kde-format
 msgctxt "@action:button Undo modification"
 msgid "Undo"
-msgstr "Отменить"
+msgstr "Отменить действие"
 
 #: qml/EditorView.qml:77 qml/EditorView.qml:89
 #, kde-format
 msgctxt "@action:button"
 msgid "Cancel"
-msgstr "Отказаться"
+msgstr "Отмена"
 
 #: qml/EditorView.qml:77 qml/EditorView.qml:83
 #, kde-format
@@ -322,7 +322,7 @@ msgstr "Ползунок поиска"
 #, kde-format
 msgid "Skip backward 1 second"
 msgid_plural "Skip backward %1 seconds"
-msgstr[0] "Перемотать назад на 1 секунду"
+msgstr[0] "Перемотать назад на %1 секунду"
 msgstr[1] "Перемотать назад на %1 секунд"
 msgstr[2] "Перемотать назад на %1 секунд"
 msgstr[3] "Перемотать назад на %1 секунд"
@@ -350,7 +350,7 @@ msgstr "Выключить звук"
 #: qml/imagedelegate/VideoPlayer.qml:247
 #, kde-format
 msgid "Volume slider"
-msgstr "Ползунок громкости"
+msgstr "Регулятор громкости"
 
 #: qml/imagedelegate/VideoPlayer.qml:267
 #, kde-format
@@ -365,7 +365,7 @@ msgstr "Не повторять текущее видео"
 #: qml/ImageViewPage.qml:74
 #, kde-format
 msgid "Info"
-msgstr "Информация"
+msgstr "Сведения"
 
 #: qml/ImageViewPage.qml:76
 #, kde-format
@@ -380,7 +380,7 @@ msgstr "Посмотреть информацию о фото"
 #: qml/ImageViewPage.qml:86
 #, kde-format
 msgid "Remove"
-msgstr "Удалить"
+msgstr "Убрать"
 
 #: qml/ImageViewPage.qml:86
 #, kde-format
@@ -390,7 +390,7 @@ msgstr "Избранное"
 #: qml/ImageViewPage.qml:87
 #, kde-format
 msgid "Remove from favorites"
-msgstr "Удалить из избранного"
+msgstr "Убрать из избранного"
 
 #: qml/ImageViewPage.qml:87
 #, kde-format
@@ -407,7 +407,7 @@ msgstr "Изменить"
 #, kde-format
 #| msgid "Share Image"
 msgid "Share Video"
-msgstr "Поделиться видео"
+msgstr "Опубликовать видео"
 
 #: qml/ImageViewPage.qml:117
 #, kde-format
@@ -419,7 +419,7 @@ msgstr "Опубликовать изображение"
 #| msgid "Share"
 msgctxt "verb, share an image/video"
 msgid "Share"
-msgstr "Поделиться"
+msgstr "Опубликовать"
 
 #: qml/ImageViewPage.qml:132
 #, kde-format
@@ -450,12 +450,12 @@ msgstr "Показать панель миниатюр"
 #: qml/ImageViewPage.qml:142
 #, kde-format
 msgid "Toggle Thumbnail Bar"
-msgstr "Переключить панель миниатюр"
+msgstr "Панель миниатюр"
 
 #: qml/ImageViewPage.qml:150
 #, kde-format
 msgid "Fullscreen"
-msgstr "Полноэкранный режим"
+msgstr "Во весь экран"
 
 #: qml/ImageViewPage.qml:150 qml/ImageViewPage.qml:151
 #, kde-format
@@ -465,7 +465,7 @@ msgstr "Выйти из полноэкранного режима"
 #: qml/ImageViewPage.qml:151
 #, kde-format
 msgid "Enter Fullscreen"
-msgstr "Войти в полноэкранный режим"
+msgstr "Полноэкранный режим"
 
 #: qml/ImageViewPage.qml:404
 #, kde-format
@@ -524,12 +524,12 @@ msgstr "Метаданные"
 #: qml/InfoDrawerSidebarBase.qml:42
 #, kde-format
 msgid "File Name"
-msgstr "Название файла"
+msgstr "Имя файла"
 
 #: qml/InfoDrawerSidebarBase.qml:52
 #, kde-format
 msgid "Dimension"
-msgstr "Измерения"
+msgstr "Размер"
 
 #: qml/InfoDrawerSidebarBase.qml:58
 #, kde-format
@@ -555,17 +555,17 @@ msgstr "Модель"
 #: qml/InfoDrawerSidebarBase.qml:100
 #, kde-format
 msgid "Latitude"
-msgstr ""
+msgstr "Широта"
 
 #: qml/InfoDrawerSidebarBase.qml:112
 #, kde-format
 msgid "Longitude"
-msgstr ""
+msgstr "Долгота"
 
 #: qml/InfoDrawerSidebarBase.qml:124
 #, kde-format
 msgid "Rating"
-msgstr "Рейтинг"
+msgstr "Оценка"
 
 #: qml/InfoDrawerSidebarBase.qml:131
 #, kde-format
@@ -590,7 +590,7 @@ msgstr "Описание изображения..."
 #: qml/InfoDrawerSidebarBase.qml:182 qml/PlacesPage.qml:156 qml/Sidebar.qml:199
 #, kde-format
 msgid "Tags"
-msgstr "Теги"
+msgstr "Метки"
 
 #: qml/InfoDrawerSidebarBase.qml:198
 #, kde-format
@@ -626,7 +626,7 @@ msgstr "Годы"
 #: qml/PlacesPage.qml:111 qml/Sidebar.qml:158
 #, kde-format
 msgid "Locations"
-msgstr "Местоположение"
+msgstr "Местоположения"
 
 #: qml/PlacesPage.qml:115 qml/Sidebar.qml:161
 #, kde-format
@@ -681,13 +681,12 @@ msgstr "Настройки"
 #: qml/SettingsPage.qml:18
 #, kde-format
 msgid "General:"
-msgstr "Главное:"
+msgstr "Основное:"
 
 #: qml/SettingsPage.qml:19
 #, kde-format
 msgid "Show preview carousel in image view"
-msgstr ""
-"Показать карусель предварительного просмотра в режиме просмотра изображений"
+msgstr "Показывать ленту миниатюр в режиме просмотра изображений"
 
 #: qml/SettingsPage.qml:24 qml/Sidebar.qml:222
 #, kde-format
@@ -703,12 +702,12 @@ msgstr "%1 пикселей"
 #, kde-format
 msgctxt "@title:group"
 msgid "Slideshow settings:"
-msgstr "Настройки слайд-шоу"
+msgstr "Параметры слайд-шоу:"
 
 #: qml/SettingsPage.qml:115
 #, kde-format
 msgid "Open About Page"
-msgstr "Открыть страницу \"О программе\""
+msgstr "Открыть страницу «О программе»"
 
 #: qml/ShareAction.qml:22
 #, kde-format
@@ -719,7 +718,7 @@ msgstr "Опубликовать"
 #, kde-format
 #| msgid "Share the selected images"
 msgid "Share the selected media"
-msgstr "Поделиться выбранными медиафайлами"
+msgstr "Опубликовать выбранные файлы"
 
 #: qml/Sidebar.qml:43
 #, kde-format
@@ -730,12 +729,12 @@ msgstr "Критерий сортировки"
 #, kde-format
 msgctxt "Remote network locations"
 msgid "Remote"
-msgstr "Удаленные"
+msgstr "Сетевые ресурсы"
 
 #: qml/TagInput.qml:60
 #, kde-format
 msgid "Add new tag…"
-msgstr "Добавить новый тег..."
+msgstr "Создать метку…"
 
 #~ msgid "Edit image"
 #~ msgstr "Изменить изображение"