diff --git "a/20221215-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\265\320\262_(farline99_at_yandex.ru)-filelight-msg/org.kde.filelight.appdata.po" "b/20221215-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\265\320\262_(farline99_at_yandex.ru)-filelight-msg/org.kde.filelight.appdata.po"
index 9b82258..3222113 100644
--- "a/20221215-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\265\320\262_(farline99_at_yandex.ru)-filelight-msg/org.kde.filelight.appdata.po"	
+++ "b/20221215-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\265\320\262_(farline99_at_yandex.ru)-filelight-msg/org.kde.filelight.appdata.po"	
@@ -1,12 +1,12 @@
 # Alexander Potashev <aspotashev@gmail.com>, 2017.
-# Alexander Yavorsky <kekcuha@gmail.com>, 2020.
+# Alexander Yavorsky <kekcuha@gmail.com>, 2020, 2022.
 # Павел Чернышов <farline99@yandex.ru>, 2022.
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "POT-Creation-Date: 2022-10-22 00:48+0000\n"
-"PO-Revision-Date: 2022-12-15 14:00+0300\n"
-"Last-Translator: Павел Чернышов <farline99@yandex.ru>\n"
+"PO-Revision-Date: 2022-12-18 11:11+0300\n"
+"Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
@@ -14,7 +14,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Generator: Lokalize 22.12.0\n"
+"X-Generator: Lokalize 21.08.3\n"
 
 #. (itstool) path: component/name
 #: org.kde.filelight.appdata.xml:6
@@ -25,7 +25,8 @@ msgstr "Filelight"
 #: org.kde.filelight.appdata.xml:7
 msgid "Show disk usage and delete unused files"
 msgstr ""
-"Позволяет показывать использование диска и удалять неиспользуемые файлы"
+"Просмотр сведений об использовании дискового пространства и удаление"
+" неиспользуемых файлов"
 
 #. (itstool) path: description/p
 #: org.kde.filelight.appdata.xml:9
@@ -34,10 +35,10 @@ msgid ""
 "showing folders using an easy-to-understand view of concentric rings. "
 "Filelight makes it simple to free up space!"
 msgstr ""
-"Filelight - это приложение для визуализации использования диска на вашем"
-" компьютере,"
-"отображающее папки в удобном для понимания виде концентрических колец. "
-"Filelight позволяет легко освободить место!"
+"Filelight — приложение для визуализации использования дискового пространства,"
+" использующее наглядное отображение размеров папок в виде концентрических"
+" колец. Filelight позволяет просто находить большие файлы и помогает"
+" освобождать место на дисках."
 
 #. (itstool) path: description/p
 #: org.kde.filelight.appdata.xml:12
@@ -48,29 +49,29 @@ msgstr "Возможности:"
 #: org.kde.filelight.appdata.xml:14
 #| msgid "Scan local, remote or removable disks"
 msgid "Scan local, remote, or removable disks"
-msgstr "Сканирование локальных, удаленных или съемных дисков"
+msgstr "Сканирование локальных, сетевых и сменных дисков;"
 
 #. (itstool) path: ul/li
 #: org.kde.filelight.appdata.xml:15
 #| msgid "Information about files and directories on hovering"
 msgid "View detailed information about files and folders"
-msgstr "Просмотр подробной информации о файлах и папках"
+msgstr "Подробные сведения о файлах и папках;"
 
 #. (itstool) path: ul/li
 #: org.kde.filelight.appdata.xml:16
 msgid "Delete files or folders that are taking up too much space"
-msgstr "Удаление файлов или папок, которые занимают слишком много места"
+msgstr "Удаление файлов или папок, занимающих слишком много места;"
 
 #. (itstool) path: ul/li
 #: org.kde.filelight.appdata.xml:17
 #| msgid "Integration into Konqueror and Krusader"
 msgid "Integration into the Dolphin, Konqueror, and Krusader file managers"
-msgstr "Интеграция с файловыми менеджерами Dolphin, Konqueror и Krusader"
+msgstr "Встраивание в диспетчеры файлов Dolphin, Konqueror и Krusader;"
 
 #. (itstool) path: ul/li
 #: org.kde.filelight.appdata.xml:18
 msgid "Configurable color schemes"
-msgstr "Настраиваемые цветовые схемы"
+msgstr "Настраиваемое цветовое оформление;"
 
 #~ msgid ""
 #~ "Filelight creates an interactive map of concentric segmented-rings that "