diff --git "a/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/kate.po" "b/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/kate.po"
index 2df3a1f..ece48cb 100644
--- "a/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/kate.po"	
+++ "b/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/kate.po"	
@@ -22,14 +22,14 @@ msgstr ""
 "Project-Id-Version: kate\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2022-12-06 00:48+0000\n"
-"PO-Revision-Date: 2022-12-11 11:10+0300\n"
-"Last-Translator: Павел Чернышов <farline99@yandex.ru>\n"
+"PO-Revision-Date: 2022-12-21 12:08+0300\n"
+"Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 22.12.0\n"
+"X-Generator: Lokalize 21.08.3\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
 "X-Environment: kde\n"
@@ -41,14 +41,15 @@ msgctxt "NAME OF TRANSLATORS"
 msgid "Your names"
 msgstr ""
 "Андрей Черепанов,Григорий Мохин,Евгений Иванов,Александр Лахин,Александр  "
-"Яворский,Антон Афонин,Олеся Герасименко"
+"Яворский,Антон Афонин,Олеся Герасименко,Павел Чернышов"
 
 #, kde-format
 msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr ""
-"sibskull@mail.ru,mok@kde.ru,powerfox@kde.ru,exclusion@gmail.com, "
-"kekcuha@gmail.com,vdualb@gmail.com,translation-team@basealt.ru"
+"sibskull@mail.ru,mok@kde.ru,powerfox@kde.ru,exclusion@gmail.com,"
+" kekcuha@gmail.com,vdualb@gmail.com,translation-team@basealt.ru,farline99@yand"
+"ex.ru"
 
 #: kate/main.cpp:106
 #, kde-format
@@ -200,18 +201,18 @@ msgstr "Git"
 #, kde-format
 #| msgid "Invalid Folder"
 msgid "Invalid hash"
-msgstr "Недопустимый хэш"
+msgstr "Недопустимый хеш"
 
 #: lib/commitfilesview.cpp:480 lib/filehistorywidget.cpp:342
 #, kde-format
 msgid "%1 doesn't exist in a git repo."
-msgstr "%1 не существует в репозитории git."
+msgstr "«%1» не существует в репозитории git."
 
 #: lib/commitfilesview.cpp:488
 #, kde-format
 #| msgid "Comment"
 msgid "Commit"
-msgstr "Коммит"
+msgstr "Фиксация"
 
 #. i18n: ectx: Menu (file)
 #: lib/data/kateui.rc:6
@@ -304,59 +305,59 @@ msgstr "Бок о бок"
 #: lib/diff/diffeditor.cpp:183 lib/kateconfigdialog.cpp:536
 #, kde-format
 msgid "Unified"
-msgstr "Единый"
+msgstr "Объединённый"
 
 #: lib/diff/diffeditor.cpp:186 lib/kateconfigdialog.cpp:537
 #, kde-format
 msgid "Raw"
-msgstr "Необработанный"
+msgstr "Исходный"
 
 #: lib/diff/diffeditor.cpp:215
 #, kde-format
 msgid "Stage Line"
 msgid_plural "Stage Lines"
-msgstr[0] "Поставить линию"
-msgstr[1] "Поставить линии"
-msgstr[2] "Поставить линии"
-msgstr[3] "Поставить линии"
+msgstr[0] "Применить промежуточное состояние строк"
+msgstr[1] "Применить промежуточное состояние строк"
+msgstr[2] "Применить промежуточное состояние строк"
+msgstr[3] "Применить промежуточное состояние строки"
 
 #: lib/diff/diffeditor.cpp:220
 #, kde-format
 msgid "Stage Hunk"
-msgstr ""
+msgstr "Применить промежуточное сохранение блока"
 
 #: lib/diff/diffeditor.cpp:227
 #, kde-format
 msgid "Discard Line"
 msgid_plural "Discard Lines"
-msgstr[0] "Отбросить строку"
+msgstr[0] "Отбросить строки"
 msgstr[1] "Отбросить строки"
 msgstr[2] "Отбросить строки"
-msgstr[3] "Отбросить строки"
+msgstr[3] "Отбросить строку"
 
 #: lib/diff/diffeditor.cpp:232
 #, kde-format
 msgid "Discard Hunk"
-msgstr ""
+msgstr "Отбросить блок"
 
 #: lib/diff/diffeditor.cpp:239
 #, kde-format
 msgid "Unstage Line"
 msgid_plural "Unstage Lines"
-msgstr[0] "Убрать линию"
-msgstr[1] "Убрать линии"
-msgstr[2] "Убрать линии"
-msgstr[3] "Убрать линии"
+msgstr[0] "Отменить промежуточное состояние строк"
+msgstr[1] "Отменить промежуточное состояние строк"
+msgstr[2] "Отменить промежуточное состояние строк"
+msgstr[3] "Отменить промежуточное состояние строки"
 
 #: lib/diff/diffeditor.cpp:244
 #, kde-format
 msgid "Unstage Hunk"
-msgstr ""
+msgstr "Отменить промежуточное сохранение блока"
 
 #: lib/diff/diffwidget.cpp:51
 #, kde-format
 msgid "Show/Hide Commit Info"
-msgstr "Показывать/скрывать информацию о коммите"
+msgstr "Показать или скрыть сведения о фиксации"
 
 #: lib/diff/diffwidget.cpp:56
 #, kde-format
@@ -366,33 +367,34 @@ msgstr "Перейти к следующему файлу"
 #: lib/diff/diffwidget.cpp:60
 #, kde-format
 msgid "Jump to Previous File"
-msgstr "Перейти к предыдущему файлу"
+msgstr "Вернуться к предыдущему файлу"
 
 #: lib/diff/diffwidget.cpp:64
 #, kde-format
 msgid "Jump to Next Hunk"
-msgstr ""
+msgstr "Перейти к следующему блоку"
 
 #: lib/diff/diffwidget.cpp:68
 #, kde-format
 msgid "Jump to Previous Hunk"
-msgstr ""
+msgstr "Вернуться к предыдущему блоку"
 
 #: lib/filehistorywidget.cpp:286
 #, kde-format
 msgid "Failed to get file history: git executable not found in PATH"
 msgstr ""
-"Не удалось получить историю файлов: исполняемый файл git не найден в PATH"
+"Не удалось получить историю файла: исполняемый файл git не найден в"
+" каталогах, перечисленных в переменной PATH"
 
 #: lib/filehistorywidget.cpp:299
 #, kde-format
 msgid "Failed to get file history: %1"
-msgstr "Не удалось получить историю файлов: %1"
+msgstr "Не удалось получить историю файла: %1"
 
 #: lib/filehistorywidget.cpp:350
 #, kde-format
 msgid "File History"
-msgstr "История файлов"
+msgstr "История файла"
 
 #: lib/kateapp.cpp:146
 #, kde-format
@@ -824,14 +826,14 @@ msgid ""
 "tabs.\n"
 "This option does not affect the bottom sidebar."
 msgstr ""
-"Когда включено, размер раздела будет определяться положением"
-"вкладок.\n"
+"При использовании этого параметра, размер раздела будет определяться"
+" положением вкладок.\n"
 "Этот параметр не влияет на нижнюю боковую панель."
 
 #: lib/kateconfigdialog.cpp:413
 #, kde-format
 msgid "Show text for left and right sidebar buttons"
-msgstr "Показывать текст для кнопок левой и правой боковых панелей"
+msgstr "Показывать подписи кнопок на левой и правой боковых панелях"
 
 #: lib/kateconfigdialog.cpp:418
 #, kde-format
@@ -938,32 +940,32 @@ msgstr "&Мышь"
 #: lib/kateconfigdialog.cpp:505
 #, kde-format
 msgid "&Backward button pressed:"
-msgstr "&Нажата кнопка «назад»:"
+msgstr "&Действие при нажатии кнопки «назад»:"
 
 #: lib/kateconfigdialog.cpp:510
 #, kde-format
 msgid "Previous tab"
-msgstr "Предыдущая вкладка"
+msgstr "Перейти на предыдущую вкладку"
 
 #: lib/kateconfigdialog.cpp:510
 #, kde-format
 msgid "History back"
-msgstr "Назад в журнале"
+msgstr "Перейти на предыдущую запись в журнале"
 
 #: lib/kateconfigdialog.cpp:516
 #, kde-format
 msgid "&Forward button pressed:"
-msgstr "&Нажата кнопка «вперёд»:"
+msgstr "&Действие при нажатии кнопки «вперёд»:"
 
 #: lib/kateconfigdialog.cpp:521
 #, kde-format
 msgid "Next tab"
-msgstr "Следующая вкладка"
+msgstr "Перейти на следующую вкладку"
 
 #: lib/kateconfigdialog.cpp:521
 #, kde-format
 msgid "History forward"
-msgstr "Вперёд в журнале"
+msgstr "Перейти на следующую запись в журнале"
 
 #: lib/kateconfigdialog.cpp:529
 #, kde-format
@@ -1018,9 +1020,7 @@ msgstr[3] " день"
 msgid ""
 "When a window is closed the documents opened only in this window are closed "
 "as well."
-msgstr ""
-"Когда окно закрыто, документы, открытые только в этом окне, "
-"также закрываются."
+msgstr "При закрытии окна будут закрыты все документы, открытые в этом окне"
 
 #: lib/kateconfigdialog.cpp:644
 #, kde-format
@@ -1135,7 +1135,7 @@ msgstr "Произошла ошибка при попытке удаления 
 #, kde-format
 #| msgid "Application"
 msgid "&Other Application..."
-msgstr "&Другая программа..."
+msgstr "&Другое приложение…"
 
 #: lib/katemainwindow.cpp:227
 #, kde-format
@@ -1355,7 +1355,7 @@ msgstr "&Новое окно"
 #: lib/katemainwindow.cpp:415
 #, kde-format
 msgid "Create a new window."
-msgstr "&Создать новое окно"
+msgstr "&Создать окно"
 
 #: lib/katemainwindow.cpp:422
 #, kde-format
@@ -1446,7 +1446,7 @@ msgstr "Перейти к следующему расположению"
 #: lib/katemainwindow.cpp:523
 #, kde-format
 msgid "Show File Git History"
-msgstr "Показать историю файлов Git"
+msgstr "Показать историю файла Git"
 
 #: lib/katemainwindow.cpp:538
 #, kde-format
@@ -1520,7 +1520,7 @@ msgstr "Разница %1..%2"
 #: lib/katemdi.cpp:85
 #, kde-format
 msgid "Toolview Manager"
-msgstr "Менеджер просмотра инструментов"
+msgstr "Управление модулями"
 
 #: lib/katemdi.cpp:103
 #, kde-format
@@ -1530,7 +1530,7 @@ msgstr "Кнопки боковой панели"
 #: lib/katemdi.cpp:106
 #, kde-format
 msgid "Focus Toolview"
-msgstr "Вид инструмента фокусировки"
+msgstr "Быстрый переход"
 
 #: lib/katemdi.cpp:109
 #, kde-format
@@ -1560,7 +1560,7 @@ msgstr "Показывать кнопку %1"
 #: lib/katemdi.cpp:195
 #, kde-format
 msgid "Focus %1"
-msgstr "Сфокусироваться на %1"
+msgstr "Перейти в «%1»"
 
 #: lib/katemdi.cpp:1006
 #, kde-format
@@ -1937,42 +1937,42 @@ msgstr "Перейти в предыдущую створку окна"
 #: lib/kateviewmanager.cpp:179
 #, kde-format
 msgid "Left Split View"
-msgstr "Левый разделенный вид"
+msgstr "Открыть створку слева"
 
 #: lib/kateviewmanager.cpp:184
 #, kde-format
 msgid "Make the split view intuitively on the left the active one."
-msgstr ""
+msgstr "Разделить область просмотра, открыв створку слева от активного окна"
 
 #: lib/kateviewmanager.cpp:187
 #, kde-format
 msgid "Right Split View"
-msgstr "Правый разделенный вид"
+msgstr "Открыть створку справа"
 
 #: lib/kateviewmanager.cpp:192
 #, kde-format
 msgid "Make the split view intuitively on the right the active one."
-msgstr ""
+msgstr "Разделить область просмотра, открыв створку справа от активного окна"
 
 #: lib/kateviewmanager.cpp:195
 #, kde-format
 msgid "Upward Split View"
-msgstr "Восходящий разделенный вид"
+msgstr "Открыть створку сверху"
 
 #: lib/kateviewmanager.cpp:200
 #, kde-format
 msgid "Make the split view intuitively upward the active one."
-msgstr ""
+msgstr "Разделить область просмотра, открыв створку сверху от активного окна"
 
 #: lib/kateviewmanager.cpp:203
 #, kde-format
 msgid "Downward Split View"
-msgstr "Нисходящий разделенный вид"
+msgstr "Открыть створку снизу"
 
 #: lib/kateviewmanager.cpp:208
 #, kde-format
 msgid "Make the split view intuitively downward the active one."
-msgstr ""
+msgstr "Разделить область просмотра, открыв створку снизу от активного окна"
 
 #: lib/kateviewmanager.cpp:211
 #, kde-format
@@ -2032,7 +2032,7 @@ msgstr "Страница приветствия"
 #: lib/kateviewmanager.cpp:258
 #, kde-format
 msgid "Show the welcome page"
-msgstr "Показать страницу приветствия"
+msgstr "Показывать страницу приветствия"
 
 #: lib/kateviewmanager.cpp:300 lib/kateviewmanager.cpp:302
 #, kde-format
@@ -2059,19 +2059,20 @@ msgstr "Открывается большой файл"
 #: lib/kateviewmanager.cpp:466
 #, kde-format
 msgid "%1 cannot open folders"
-msgstr "%1 не может открыть папки"
+msgstr "Папки не могут быть открыты в приложении «%1»"
 
 #: lib/kateviewmanager.cpp:485
 #, kde-format
 msgid "The plugin required to open folders was not found"
-msgstr "Плагин, необходимый для открытия папок, не найден"
+msgstr "Не найден подключаемый модуль для открытия папок"
 
 #: lib/kateviewmanager.cpp:491
 #, kde-format
 msgid ""
 "In order to open folders, the <b>%1</b> plugin must be enabled. Enable it?"
 msgstr ""
-"Чтобы открывать папки, должен быть включен плагин <b>%1</b>. Включить его?"
+"Для открытия папок необходимо включить подключаемый модуль<b>%1</b>. Включить"
+" его?"
 
 #: lib/kateviewmanager.cpp:500
 #, kde-format
@@ -2089,7 +2090,7 @@ msgstr "Включить"
 #: lib/kateviewmanager.cpp:512
 #, kde-format
 msgid "Failed to enable <b>%1</b> plugin"
-msgstr "Не удалось включить <b>%1</b> плагин"
+msgstr "Не удалось включить подключаемый модуль <b>%1</b>"
 
 #: lib/kateviewmanager.cpp:1234
 #, kde-format
@@ -2152,7 +2153,7 @@ msgstr "Закрыть др&угие документы"
 #: lib/kateviewspace.cpp:1020
 #, kde-format
 msgid "Close &All Documents"
-msgstr "Закрыть %Все документы"
+msgstr "Закрыть &все документы"
 
 #: lib/kateviewspace.cpp:1022
 #, kde-format
@@ -2162,7 +2163,7 @@ msgstr "Отсоединить документ"
 #: lib/kateviewspace.cpp:1023
 #, kde-format
 msgid "Opens the document in a new window and closes it in the current window"
-msgstr "Открывает документ в новом окне и закрывает его в текущем окне"
+msgstr "Переместить документ в новое окно"
 
 #: lib/kateviewspace.cpp:1032
 #, kde-format
@@ -2177,7 +2178,7 @@ msgstr "Разница %1 .. %2"
 #: lib/kateviewspace.cpp:1041
 #, kde-format
 msgid "Compare with Active Document Using"
-msgstr "Сравнить с активным документом, используя"
+msgstr "Сравнить с активным документом с помощью"
 
 #: lib/kateviewspace.cpp:1108
 #, kde-format
@@ -2207,7 +2208,7 @@ msgstr "Текущий проект"
 #: lib/quickopen/katequickopenlineedit.cpp:88
 #, kde-format
 msgid "Fuzzy Filtering"
-msgstr "Нечеткая фильтрация"
+msgstr "Нечёткая фильтрация"
 
 #: lib/quickopen/katequickopenlineedit.cpp:99
 #, kde-format
@@ -2398,7 +2399,7 @@ msgstr "&Выбрать сеанс"
 #: lib/ui/sessionconfigwidget.ui:47
 #, kde-format
 msgid "Application Startup/Shutdown Behavior"
-msgstr "Поведение при запуске/завершении работы приложения"
+msgstr "Поведение при запуске и завершении работы"
 
 #. i18n: ectx: property (text), widget (QLabel, label_4)
 #: lib/ui/sessionconfigwidget.ui:55
@@ -2426,14 +2427,14 @@ msgstr "Несохранённые изменённые файлы"
 #| "window caption."
 msgid "If disabled, an untitled document will be shown for new windows."
 msgstr ""
-"Если этот параметр отключен, в новых окнах будет показан документ без"
-" названия."
+"Если этот параметр не включён, при открытии нового окна создан документ без"
+" названия"
 
 #. i18n: ectx: property (text), widget (QCheckBox, showWelcomeViewForNewWindow)
 #: lib/ui/sessionconfigwidget.ui:91
 #, kde-format
 msgid "Show welcome view for new windows"
-msgstr "Показывать страницу приветствия для новых окон"
+msgstr "Показывать страницу приветствия при открытии нового окна"
 
 #. i18n: ectx: property (whatsThis), widget (QCheckBox, modCloseAfterLast)
 #: lib/ui/sessionconfigwidget.ui:98
@@ -2456,7 +2457,7 @@ msgstr "Закрывать программу после закрытия все
 #: lib/ui/sessionconfigwidget.ui:108
 #, kde-format
 msgid "Close documents with the window they belong to"
-msgstr "Закройте документы в окне, к которому они принадлежат"
+msgstr "Закрывать все документы в окне"
 
 #. i18n: ectx: property (title), widget (QGroupBox, gbElements)
 #: lib/ui/sessionconfigwidget.ui:118
@@ -2540,18 +2541,18 @@ msgstr "Последние документы"
 #: lib/welcomeview/welcomeview.cpp:59
 #, kde-format
 msgid "No recent documents or projects"
-msgstr "Нет последних документов или проектов"
+msgstr "Нет ни одного последнего документа или проекта"
 
 #: lib/welcomeview/welcomeview.cpp:59
 #, kde-format
 msgid "No recent documents"
-msgstr "Нет последних документов"
+msgstr "Нет ни одного последнего документа"
 
 #: lib/welcomeview/welcomeview.cpp:115
 #, kde-format
 #| msgid "&Do not save session"
 msgid "No saved sessions"
-msgstr "Нет сохраненных сеансов"
+msgstr "Нет ни одного сохранённого сеанса"
 
 #: lib/welcomeview/welcomeview.cpp:237
 #, kde-format
@@ -2562,7 +2563,7 @@ msgstr "Копировать &расположение"
 #: lib/welcomeview/welcomeview.cpp:252
 #, kde-format
 msgid "&Remove"
-msgstr "&Удалить"
+msgstr "&Удалить из списка"
 
 #. i18n: ectx: property (windowTitle), widget (QScrollArea, WelcomeView)
 #: lib/welcomeview/welcomeview.ui:17
@@ -2575,13 +2576,13 @@ msgstr "Добро пожаловать"
 #, kde-format
 #| msgid "Open File"
 msgid "New File"
-msgstr "Новый файл"
+msgstr "Создать файл"
 
 #. i18n: ectx: property (text), widget (QPushButton, buttonOpenFolder)
 #: lib/welcomeview/welcomeview.ui:186
 #, kde-format
 msgid "Open Folder..."
-msgstr "Открыть папку..."
+msgstr "Открыть папку…"
 
 #. i18n: ectx: property (text), widget (QLabel, labelRecentItems)
 #: lib/welcomeview/welcomeview.ui:193
@@ -2596,13 +2597,13 @@ msgstr "Последние файлы"
 #, kde-format
 #| msgid "Open File"
 msgid "Open File..."
-msgstr "Открыть файл..."
+msgstr "Открыть файл…"
 
 #. i18n: ectx: property (toolTip), widget (QPushButton, buttonClearRecentItems)
 #: lib/welcomeview/welcomeview.ui:242
 #, kde-format
 msgid "Clear Recent Files"
-msgstr "Очистить последние файлы"
+msgstr "Очистить список последних файлов"
 
 #. i18n: ectx: property (text), widget (QLabel, labelHelp)
 #: lib/welcomeview/welcomeview.ui:271
@@ -2615,39 +2616,39 @@ msgstr "Справка"
 #: lib/welcomeview/welcomeview.ui:281
 #, kde-format
 msgid "Visit homepage"
-msgstr "Посетите домашнюю страницу"
+msgstr "Посетить домашнюю страницу"
 
 #. i18n: ectx: property (text), widget (KUrlLabel, labelContribute)
 #: lib/welcomeview/welcomeview.ui:294
 #, kde-format
 msgid "Get involved"
-msgstr "Участвуйте"
+msgstr "Присоединиться"
 
 #. i18n: ectx: property (text), widget (KUrlLabel, labelHandbook)
 #: lib/welcomeview/welcomeview.ui:307
 #, kde-format
 msgid "Read handbook"
-msgstr "Читать справочник"
+msgstr "Открыть руководство пользователя"
 
 #. i18n: ectx: property (text), widget (QLabel, labelSavedSessions)
 #: lib/welcomeview/welcomeview.ui:354
 #, kde-format
 #| msgid "&Save Session"
 msgid "Saved Sessions"
-msgstr "Сохраненные сеансы"
+msgstr "Сохранённые сеансы"
 
 #. i18n: ectx: property (text), widget (QPushButton, buttonManageSessions)
 #: lib/welcomeview/welcomeview.ui:390
 #, kde-format
 #| msgid "&Manage Sessions..."
 msgid "Manage Sessions..."
-msgstr "Управление сеансами..."
+msgstr "Управление сеансами…"
 
 #. i18n: ectx: property (text), widget (QCheckBox, checkBoxShowForNewWindow)
 #: lib/welcomeview/welcomeview.ui:443
 #, kde-format
 msgid "Show for new window"
-msgstr "Показывать для нового окна"
+msgstr "Показывать в новых окнах"
 
 #~ msgid "&Other..."
 #~ msgstr "&Другое приложение..."