diff --git "a/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/katekeyboardmacros.po" "b/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/katekeyboardmacros.po"
index ab5539a..b9b35e7 100644
--- "a/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/katekeyboardmacros.po"	
+++ "b/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/katekeyboardmacros.po"	
@@ -8,8 +8,8 @@ msgstr ""
 "Project-Id-Version: kate\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2022-09-27 00:48+0000\n"
-"PO-Revision-Date: 2022-12-11 11:32+0300\n"
-"Last-Translator: Павел Чернышов <farline99@yandex.ru>\n"
+"PO-Revision-Date: 2022-12-21 10:30+0300\n"
+"Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
@@ -17,23 +17,23 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Generator: Lokalize 22.12.0\n"
+"X-Generator: Lokalize 21.08.3\n"
 
 #: keyboardmacrosplugin.cpp:76 keyboardmacrosplugin.cpp:112
 #, kde-format
 msgid "Could not open file '%1'."
-msgstr "Не удалось открыть файл '%1'."
+msgstr "Не удалось открыть файл «%1»."
 
 #: keyboardmacrosplugin.cpp:82
 #, kde-format
 msgid "Malformed JSON file '%1': %2"
-msgstr "Неправильно сформированный JSON файл '%1': %2"
+msgstr "Некорректный файл в формате JSON «%1»: %2"
 
 #: keyboardmacrosplugin.cpp:90
 #, kde-format
 msgid "Could not load '%1': malformed macro; wiping it."
 msgstr ""
-"Не удалось загрузить '%1': неправильно сформированный макрос; стираю его."
+"Не удалось загрузить «%1»: макрос имеет некорректный формат и будет удалён."
 
 #: keyboardmacrosplugin.cpp:131 keyboardmacrospluginview.cpp:35
 #: keyboardmacrospluginview.cpp:289 keyboardmacrospluginview.cpp:323
@@ -49,7 +49,7 @@ msgstr "<b>Клавиатурные макросы:</b> %1"
 #: keyboardmacrosplugin.cpp:242
 #, kde-format
 msgid "Recording…"
-msgstr "Запись…"
+msgstr "Выполняется запись…"
 
 #: keyboardmacrosplugin.cpp:278
 #, kde-format
@@ -69,17 +69,17 @@ msgstr "%1 записывается"
 #: keyboardmacrosplugin.cpp:321
 #, kde-format
 msgid "Saved '%1'"
-msgstr "'%1' сохранен"
+msgstr "Клавиатурный макрос «%1» сохранён"
 
 #: keyboardmacrosplugin.cpp:340
 #, kde-format
 msgid "Loaded '%1'"
-msgstr "'%1' загружен"
+msgstr "Клавиатурный макрос «%1» загружен"
 
 #: keyboardmacrosplugin.cpp:357
 #, kde-format
 msgid "Wiped '%1'"
-msgstr "'%1' стерт"
+msgstr "Клавиатурный макрос «%1» удалён"
 
 #: keyboardmacrosplugincommands.cpp:31
 #, kde-format
@@ -90,12 +90,12 @@ msgstr "Использование: %1 <имя>."
 #: keyboardmacrosplugincommands.cpp:66
 #, kde-format
 msgid "No keyboard macro named '%1' found."
-msgstr "Макрос клавиатуры с именем '%1' не найден."
+msgstr "Клавиатурный макрос с именем «%1» не найден."
 
 #: keyboardmacrosplugincommands.cpp:54
 #, kde-format
 msgid "Cannot save empty keyboard macro."
-msgstr "Не удается сохранить пустой макрос клавиатуры."
+msgstr "Невозможно сохранить пустой клавиатурный макрос."
 
 #: keyboardmacrosplugincommands.cpp:81
 #, kde-format
@@ -104,7 +104,7 @@ msgid ""
 "macro as <code>&lt;name&gt;</code>.</p>%1</qt>"
 msgstr ""
 "<qt><p>Использование: <code>kmsave &lt;имя&gt;</code></p><p>Сохранить текущий"
-" клавиатурный макрос как<code>&lt;имя&gt;</code>.</p>%1</qt>"
+" клавиатурный макрос в файл <code>&lt;имя&gt;</code>.</p>%1</qt>"
 
 #: keyboardmacrosplugincommands.cpp:84
 #, kde-format
@@ -113,8 +113,8 @@ msgid ""
 "macro <code>&lt;name&gt;</code> as current macro.</p>%1</qt>"
 msgstr ""
 "<qt><p>Использование: <code>kmload &lt;имя&gt;</code></p><p>Загрузить"
-" сохраненный"
-"макрос клавиатуры<code>&lt;имя&gt;</code> как текущий макрос.</p>%1</qt>"
+" сохранённый клавиатурный макрос <code>&lt;имя&gt;</code> как текущий.</p>%1<"
+"/qt>"
 
 #: keyboardmacrosplugincommands.cpp:88
 #, kde-format
@@ -122,9 +122,9 @@ msgid ""
 "<qt><p>Usage: <code>kmplay &lt;name&gt;</code></p><p>Play saved keyboard "
 "macro <code>&lt;name&gt;</code> without loading it.</p>%1</qt>"
 msgstr ""
-"<qt><p>Использование: <code>kmplay &lt;имя&gt;</code></p><p>Проиграть"
-" сохраненный"
-"макрос клавиатуры,<code>&lt;имя&gt;</code>не загружая его.</p>%1</qt>"
+"<qt><p>Использование: <code>kmplay &lt;имя&gt;</code></p><p>Запустить"
+" сохранённый клавиатурный макрос <code>&lt;имя&gt;</code>, не загружая его.<"
+"/p>%1</qt>"
 
 #: keyboardmacrosplugincommands.cpp:92
 #, kde-format
@@ -133,8 +133,7 @@ msgid ""
 "macro <code>&lt;name&gt;</code>.</p>%1</qt>"
 msgstr ""
 "<qt><p>Использование: <code>kmwipe &lt;имя&gt;</code></p><p>Стереть"
-" сохраненный"
-"макрос клавиатуры<code>&lt;имя&gt;</code>.</p>%1</qt>"
+" сохранённый клавиатурный макрос <code>&lt;имя&gt;</code>.</p>%1</qt>"
 
 #: keyboardmacrospluginview.cpp:38
 #, kde-format
@@ -144,7 +143,7 @@ msgstr "&Клавиатурные макросы"
 #: keyboardmacrospluginview.cpp:41
 #, kde-format
 msgid "Record and play keyboard macros."
-msgstr "Записывайте и воспроизводите макросы клавиатуры."
+msgstr "Запись и воспроизведение клавиатурных макросов"
 
 #: keyboardmacrospluginview.cpp:46 keyboardmacrospluginview.cpp:163
 #, kde-format
@@ -155,8 +154,8 @@ msgstr "&Записать макрос…"
 #, kde-format
 msgid "Start/stop recording a macro (i.e., keyboard action sequence)."
 msgstr ""
-"Запустите/остановите запись макроса (т.е. последовательность действий с"
-" клавиатуры)."
+"Запуск или остановка записи макроса (последовательности действий, выполняемых"
+" с клавиатуры)."
 
 #: keyboardmacrospluginview.cpp:57
 #, kde-format
@@ -168,7 +167,7 @@ msgstr "&Отменить запись макроса"
 msgid ""
 "Cancel ongoing recording (and keep the previous macro as the current one)."
 msgstr ""
-"Отменить текущую запись (и сохранить предыдущий макрос в качестве текущего)."
+"Отменить текущую запись и сохранить предыдущий макрос в качестве текущего."
 
 #: keyboardmacrospluginview.cpp:69
 #, kde-format
@@ -181,8 +180,8 @@ msgid ""
 "Play current macro (i.e., execute the last recorded keyboard action "
 "sequence)."
 msgstr ""
-"Воспроизвести текущий макрос (т.е. выполнить последнюю записанную"
-"последовательность действий с клавиатуры)."
+"Воспроизвести текущий макрос (выполнить последнюю записанную"
+" последовательность действий, выполняемых с клавиатуры)."
 
 #: keyboardmacrospluginview.cpp:81
 #, kde-format
@@ -192,7 +191,7 @@ msgstr "&Сохранить текущий макрос"
 #: keyboardmacrospluginview.cpp:83
 #, kde-format
 msgid "Give a name to the current macro and persistently save it."
-msgstr "Дать имя текущему макросу и с сохранить его навсегда"
+msgstr "Присвоить макросу имя и сохранить его в файл"
 
 #: keyboardmacrospluginview.cpp:95
 #, kde-format
@@ -212,47 +211,47 @@ msgstr "&Воспроизвести именованный макрос"
 #: keyboardmacrospluginview.cpp:106
 #, kde-format
 msgid "Play a named macro without loading it."
-msgstr "Воспроизвести именованный макрос, не загружая его."
+msgstr "Воспроизвести именованный макрос, не загружая его"
 
 #: keyboardmacrospluginview.cpp:111
 #, kde-format
 msgid "&Wipe Named Macro..."
-msgstr "&Стереть именованный макрос."
+msgstr "&Стереть именованный макрос…"
 
 #: keyboardmacrospluginview.cpp:114
 #, kde-format
 msgid "Wipe a named macro."
-msgstr "Стереть именованный макрос."
+msgstr "Стереть именованный макрос"
 
 #: keyboardmacrospluginview.cpp:155
 #, kde-format
 msgid "End Macro &Recording"
-msgstr "Завершить &запись макроса"
+msgstr "&Завершить запись макроса"
 
 #: keyboardmacrospluginview.cpp:183
 #, kde-format
 msgid "Load the '%1' macro as the current one."
-msgstr "Загрузить макрос '%1' в качестве текущего."
+msgstr "Загрузить макрос «%1» в качестве текущего"
 
 #: keyboardmacrospluginview.cpp:196
 #, kde-format
 msgid "Play the '%1' macro without loading it."
-msgstr "Воспроизвести макрос '%1', не загружая его."
+msgstr "Воспроизвести макрос '%1', не загружая его"
 
 #: keyboardmacrospluginview.cpp:211
 #, kde-format
 msgid "Wipe the '%1' macro."
-msgstr "Стереть макрос '%1'?"
+msgstr "Стереть макрос «%1»"
 
 #: keyboardmacrospluginview.cpp:289
 #, kde-format
 msgid "Save current macro as?"
-msgstr "Сохранить текущий макрос как?"
+msgstr "Сохранить текущий макрос под другим именем?"
 
 #: keyboardmacrospluginview.cpp:323
 #, kde-format
 msgid "Wipe the '%1' macro?"
-msgstr "Стереть макрос '%1'?"
+msgstr "Стереть макрос «%1»?"
 
 #. i18n: ectx: Menu (tools)
 #: ui.rc:6