diff --git "a/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/org.kde.kate.appdata.po" "b/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/org.kde.kate.appdata.po"
index c889ea5..e6173bc 100644
--- "a/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/org.kde.kate.appdata.po"	
+++ "b/20221211-\320\237\320\260\320\262\320\265\320\273 \320\247\320\265\321\200\320\275\321\213\321\210\320\276\320\262<farline99@yandex.ru>-kate-msg/org.kde.kate.appdata.po"	
@@ -1,12 +1,12 @@
 # Alexander Potashev <aspotashev@gmail.com>, 2015.
-# Alexander Yavorsky <kekcuha@gmail.com>, 2018.
+# Alexander Yavorsky <kekcuha@gmail.com>, 2018, 2022.
 # Павел Чернышов <farline99@yandex.ru>, 2022.
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "POT-Creation-Date: 2022-11-13 00:49+0000\n"
-"PO-Revision-Date: 2022-12-11 11:36+0300\n"
-"Last-Translator: Павел Чернышов <farline99@yandex.ru>\n"
+"PO-Revision-Date: 2022-12-21 10:08+0300\n"
+"Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
@@ -14,7 +14,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Generator: Lokalize 22.12.0\n"
+"X-Generator: Lokalize 21.08.3\n"
 
 #. (itstool) path: component/name
 #: org.kde.kate.appdata.xml:6
@@ -24,7 +24,7 @@ msgstr "Kate"
 #. (itstool) path: component/summary
 #: org.kde.kate.appdata.xml:7
 msgid "Advanced Text Editor"
-msgstr "Продвинутый текстовый редактор"
+msgstr "Улучшенный текстовый редактор"
 
 #. (itstool) path: description/p
 #: org.kde.kate.appdata.xml:9
@@ -34,10 +34,10 @@ msgid ""
 "console, an extensive plugin interface and some preliminary scripting "
 "support."
 msgstr ""
-"Kate — текстовый редактор от KDE, позволяющий работать с несколькими "
-"документами одновременно. Он реализует сворачивание блоков кода, подсветку "
-"синтаксиса, динамический перенос строк, встроенный терминал, интерфейс для "
-"написания модулей и базовую поддержку сценариев."
+"Kate — текстовый редактор от KDE, позволяющий работать с несколькими"
+" документами одновременно. Приложение поддерживает сворачивание блоков кода,"
+" подсветку синтаксиса, динамический перенос строк, встроенный терминал,"
+" интерфейс для написания модулей и базовую поддержку сценариев."
 
 #. (itstool) path: description/p
 #: org.kde.kate.appdata.xml:13
@@ -48,97 +48,97 @@ msgstr "Возможности:"
 #: org.kde.kate.appdata.xml:15
 msgid "MDI, window splitting, window tabbing"
 msgstr ""
-"Работа с несколькими документами одновременно, разделение окон, вкладки"
+"Работа с несколькими документами одновременно, разделение окон, вкладки;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:16
 msgid "Spell checking"
-msgstr "Проверка орфографии"
+msgstr "Проверка орфографии;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:17
 msgid "CR, CRLF, LF newline support"
-msgstr "Поддержка переносов строк CR, CRLF, LF"
+msgstr "Поддержка переносов строк CR, CRLF, LF;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:18
 msgid "Encoding support (utf-8, utf-16, ascii etc.)"
-msgstr "Поддержка различных кодировок (UTF-8, UTF-16, ASCII и других)"
+msgstr "Поддержка различных кодировок (UTF-8, UTF-16, ASCII и других);"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:19
 msgid "Encoding conversion"
-msgstr "Преобразование кодировки"
+msgstr "Преобразование кодировки;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:20
 msgid "Regular expression based find &amp; replace"
-msgstr "Поиск и замена с возможностью использования регулярных выражений"
+msgstr "Поиск и замена с возможностью использования регулярных выражений;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:21
 msgid "Powerful syntax highlighting and bracket matching"
-msgstr "Подсветка синтаксиса и поиск парных скобок"
+msgstr "Подсветка синтаксиса и поиск парных скобок;"
 
 # BUGME: how to text folding? --aspotashev
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:22
 msgid "Code and text folding"
-msgstr "Сворачивание блоков исходного кода"
+msgstr "Сворачивание блоков исходного кода;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:23
 msgid "Infinite undo/redo support"
-msgstr "Поддержка бесконечной глубины отмены и повтора действий"
+msgstr "Поддержка бесконечной глубины отмены и повтора действий;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:24
 msgid "Block selection mode"
-msgstr "Режим блочного выделения"
+msgstr "Режим блочного выделения;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:25
 msgid "Auto indentation"
-msgstr "Автоматические отступы"
+msgstr "Автоматические отступы;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:26
 msgid "Auto completion support"
-msgstr "Поддержка автоматического дополнения текста"
+msgstr "Поддержка автоматического дополнения текста;"
 
 # BUGME: what kind of shell is meant here? --aspotashev
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:27
 msgid "Shell integration"
-msgstr "Вызов функций из командной строки"
+msgstr "Вызов функций из командной строки;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:28
 #| msgid "Wide protocol support (http, ftp, ssh, webdav etc.) using kioslaves"
 msgid "Wide protocol support (http, ftp, ssh, webdav etc.)"
-msgstr "Поддержка множества протоколов (HTTP, FTP, SSH, WebDAV и других)"
+msgstr "Поддержка множества протоколов (HTTP, FTP, SSH, WebDAV и других);"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:29
 msgid "Plugin architecture for the application and editor component"
-msgstr "Модульная архитектура приложения и компонента редактора"
+msgstr "Модульная архитектура приложения и компонента редактора;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:30
 msgid "Customizable shortcuts"
-msgstr "Настраиваемые комбинации клавиш"
+msgstr "Настраиваемые комбинации клавиш;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:31
 msgid "Integrated command line"
-msgstr "Встроенный командный терминал"
+msgstr "Встроенный командный терминал;"
 
 #. (itstool) path: ul/li
 #: org.kde.kate.appdata.xml:32
 msgid "Scriptable using JavaScript"
-msgstr "Поддержка сценариев на языке JavaScript"
+msgstr "Поддержка сценариев на языке JavaScript;"
 
 #. (itstool) path: screenshot/caption
 #: org.kde.kate.appdata.xml:41
 msgid "Editing code with Kate"
-msgstr "Редактирование исходного текста программы в Kate"
+msgstr "Редактирование исходного текста программы в Kate;"