diff --git a/20221215-pavel.chernyshov-msgs-audiotube/audiotube.po b/20221215-pavel.chernyshov-msgs-audiotube/audiotube.po
index 16a7c50..1a7dade 100644
--- a/20221215-pavel.chernyshov-msgs-audiotube/audiotube.po
+++ b/20221215-pavel.chernyshov-msgs-audiotube/audiotube.po
@@ -8,8 +8,8 @@ msgstr ""
 "Project-Id-Version: audiotube\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2022-12-12 00:49+0000\n"
-"PO-Revision-Date: 2022-12-15 14:39+0300\n"
-"Last-Translator: Павел Чернышов <farline99@yandex.ru>\n"
+"PO-Revision-Date: 2022-12-27 10:21+0300\n"
+"Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
@@ -17,7 +17,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Generator: Lokalize 22.12.0\n"
+"X-Generator: Lokalize 21.08.3\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -73,9 +73,7 @@ msgid ""
 "Video playback is not supported yet. Do you want to play only the audio of "
 "\"%1\"?"
 msgstr ""
-"Воспроизведение видео пока не поддерживается. Хотите ли вы воспроизвести"
-" только звук "
-"\"%1\"?"
+"Воспроизведение видео пока не поддерживается. Воспроизвести звук трека «%1»?"
 
 #: contents/ui/ArtistPage.qml:85 contents/ui/SearchPage.qml:25
 #, kde-format
@@ -90,7 +88,7 @@ msgstr "Синглы"
 #: contents/ui/ArtistPage.qml:89 contents/ui/SearchPage.qml:31
 #, kde-format
 msgid "Songs"
-msgstr "Песни"
+msgstr "Треки"
 
 #: contents/ui/ArtistPage.qml:91 contents/ui/SearchPage.qml:33
 #, kde-format
@@ -125,7 +123,7 @@ msgstr "Песни в избранном"
 #: contents/ui/LibraryPage.qml:171
 #, kde-format
 msgid "Most played"
-msgstr "Наиболее часто прослушиваемые"
+msgstr "Часто воспроизводимые"
 
 #: contents/ui/LibraryPage.qml:186
 #, kde-format
@@ -150,12 +148,12 @@ msgstr "AudioTube"
 #: contents/ui/MaximizedPlayerPage.qml:107
 #, kde-format
 msgid "Now Playing"
-msgstr "Играет сейчас"
+msgstr "Текущий трек"
 
 #: contents/ui/MaximizedPlayerPage.qml:132
 #, kde-format
 msgid "Queue"
-msgstr "Очередь"
+msgstr "Очередь воспроизведения"
 
 #: contents/ui/MaximizedPlayerPage.qml:157
 #, kde-format
@@ -171,38 +169,38 @@ msgstr "Удалить дорожку"
 #: contents/ui/MinimizedPlayerControls.qml:91
 #, kde-format
 msgid "No media playing"
-msgstr "Ничего не проигрывается"
+msgstr "Ничего не воспроизводится"
 
 #: contents/ui/PlaybackHistory.qml:15
 #, kde-format
 msgid "Unknown list of songs"
-msgstr "Неизвестный список песен"
+msgstr "Неизвестный список треков"
 
 #: contents/ui/PlaybackHistory.qml:27
 #, kde-format
 msgid "No songs here yet"
-msgstr "Здесь еще нет песен"
+msgstr "Пока нет ни одного трека"
 
 #: contents/ui/PlaylistPage.qml:42
 #, kde-format
 #| msgid "Play"
 msgid "Playlist"
-msgstr "Плейлист"
+msgstr "Список воспроизведения"
 
 #: contents/ui/SearchPage.qml:27
 #, kde-format
 msgid "Artists"
-msgstr "Артисты"
+msgstr "Исполнители"
 
 #: contents/ui/SearchPage.qml:29
 #, kde-format
 msgid "Playlists"
-msgstr "Плейлисты"
+msgstr "Списки воспроизведения"
 
 #: contents/ui/SearchPage.qml:36
 #, kde-format
 msgid "Unknown"
-msgstr "Неизвестный"
+msgstr "Неизвестный тип"
 
 #: contents/ui/SearchPage.qml:146
 #, kde-format
@@ -212,17 +210,17 @@ msgstr "Найти музыку в YouTube Music"
 #: contents/ui/SongMenu.qml:26
 #, kde-format
 msgid "Play Next"
-msgstr "Следующий трек"
+msgstr "Воспроизвести следующим"
 
 #: contents/ui/SongMenu.qml:32
 #, kde-format
 msgid "Add to queue"
-msgstr "Добавить в очередь"
+msgstr "Добавить в очередь воспроизведения"
 
 #: contents/ui/SongMenu.qml:39
 #, kde-format
 msgid "Remove Favourite"
-msgstr "Удалить из избранного"
+msgstr "Убрать из избранного"
 
 #: contents/ui/SongMenu.qml:39
 #, kde-format