diff --git a/20230307-pavel_chernishev-msgs-kcm_flatpak/kcm_flatpak.po b/20230307-pavel_chernishev-msgs-kcm_flatpak/kcm_flatpak.po
index 43c1b2a..b13b153 100644
--- a/20230307-pavel_chernishev-msgs-kcm_flatpak/kcm_flatpak.po
+++ b/20230307-pavel_chernishev-msgs-kcm_flatpak/kcm_flatpak.po
@@ -8,8 +8,8 @@ msgstr ""
 "Project-Id-Version: flatpak-kcm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2023-03-02 03:42+0000\n"
-"PO-Revision-Date: 2023-03-07 12:34+0300\n"
-"Last-Translator: farline99 <farline99@yandex.ru>\n"
+"PO-Revision-Date: 2023-04-02 09:53+0300\n"
+"Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
@@ -17,7 +17,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Generator: Lokalize 22.12.3\n"
+"X-Generator: Lokalize 21.08.3\n"
 
 #: autotests/flatpakpermissiontest.cpp:49 flatpakpermission.cpp:113
 #: flatpakpermission.cpp:506 flatpakpermission.cpp:541
@@ -27,14 +27,14 @@ msgstr ""
 #: flatpakpermission.cpp:775 flatpakpermission.cpp:1043
 #, kde-format
 msgid "read/write"
-msgstr "чтение и запись"
+msgstr "Чтение и запись"
 
 #: autotests/flatpakpermissiontest.cpp:90 flatpakpermission.cpp:65
 #: flatpakpermission.cpp:82 flatpakpermission.cpp:597 flatpakpermission.cpp:621
 #: flatpakpermission.cpp:804 flatpakpermission.cpp:1045
 #, kde-format
 msgid "own"
-msgstr "Владеть"
+msgstr "Владение"
 
 #. i18n here is actually kind of wrong but at the time of writing fixing the mapping
 #. between ui and backend *here* is easier/safer than trying to reinvent the way the mapping works in a
@@ -47,13 +47,13 @@ msgstr "Владеть"
 #: flatpakpermission.cpp:1152
 #, kde-format
 msgid "read-only"
-msgstr "только чтение"
+msgstr "Только чтение"
 
 #: autotests/flatpakpermissiontest.cpp:96
 #, kde-format
 #| msgid "read/write"
 msgid "read-write"
-msgstr "чтение и запись"
+msgstr "Чтение и запись"
 
 #: autotests/flatpakpermissiontest.cpp:97 flatpakpermission.cpp:111
 #: flatpakpermission.cpp:128 flatpakpermission.cpp:506
@@ -62,28 +62,28 @@ msgstr "чтение и запись"
 #: flatpakpermission.cpp:1154
 #, kde-format
 msgid "create"
-msgstr "создание"
+msgstr "Создание"
 
 #: flatpakpermission.cpp:62 flatpakpermission.cpp:79 flatpakpermission.cpp:597
 #: flatpakpermission.cpp:621 flatpakpermission.cpp:804
 #: flatpakpermission.cpp:1045
 #, kde-format
 msgid "talk"
-msgstr "Общаться"
+msgstr "Получение и отправка"
 
 #: flatpakpermission.cpp:68 flatpakpermission.cpp:85 flatpakpermission.cpp:597
 #: flatpakpermission.cpp:621 flatpakpermission.cpp:804
 #: flatpakpermission.cpp:1045
 #, kde-format
 msgid "see"
-msgstr "Видеть"
+msgstr "Просмотр"
 
 #: flatpakpermission.cpp:71 flatpakpermission.cpp:88 flatpakpermission.cpp:801
 #: flatpakpermission.cpp:939 flatpakpermission.cpp:1131
 #: flatpakpermission.cpp:1205
 #, kde-format
 msgid "None"
-msgstr "Ничего"
+msgstr "Отсутствует"
 
 #: flatpakpermission.cpp:118 flatpakpermission.cpp:501
 #: flatpakpermission.cpp:502 flatpakpermission.cpp:503
@@ -136,13 +136,13 @@ msgstr "Разрешённые функции"
 #: package/contents/ui/permissions.qml:106
 #, kde-format
 msgid "Session Bus Policy"
-msgstr "Политика доступа к шине на уровне сеанса"
+msgstr "Политики доступа к шине на уровне сеанса"
 
 #: flatpakpermission.cpp:166 flatpakpermission.cpp:1044
 #: package/contents/ui/permissions.qml:74
 #, kde-format
 msgid "System Bus Policy"
-msgstr "Политика доступа к шине на уровне системы"
+msgstr "Политики доступа к шине на уровне системы"
 
 #: flatpakpermission.cpp:169 package/contents/ui/permissions.qml:72
 #: package/contents/ui/permissions.qml:83
@@ -165,7 +165,7 @@ msgstr "Дополнительные права"
 #: flatpakpermission.cpp:374
 #, kde-format
 msgid "Internet Connection"
-msgstr "Соединение с интернетом"
+msgstr "Подключение к интернету"
 
 #: flatpakpermission.cpp:380
 #, kde-format
@@ -190,7 +190,7 @@ msgstr "Понижение до графического сервера X11"
 #: flatpakpermission.cpp:405
 #, kde-format
 msgid "Pulseaudio Sound Server"
-msgstr "Аудиосервер PulseAudio"
+msgstr "Звуковой сервер PulseAudio"
 
 #: flatpakpermission.cpp:411
 #, kde-format
@@ -225,7 +225,7 @@ msgstr "Доступ к виртуальным машинам (KVM)"
 #: flatpakpermission.cpp:449
 #, kde-format
 msgid "Direct Graphic Rendering"
-msgstr "Прямая графическая отрисовка"
+msgstr "Непосредственная отрисовка"
 
 #: flatpakpermission.cpp:454
 #, kde-format
@@ -250,13 +250,12 @@ msgstr "Bluetooth"
 #: flatpakpermission.cpp:486
 #, kde-format
 msgid "Canbus Socket Access"
-msgstr "Доступ к CAN шине"
+msgstr "Доступ к сокету CAN шины"
 
 #: flatpakpermission.cpp:491
 #, kde-format
 msgid "Share dev/shm across all instances of an app per user ID"
-msgstr ""
-"Делиться памятью tmpfs со всеми экземплярами программы в рамках пользователя"
+msgstr "Совместное использование памяти экземплярами приложения"
 
 #: flatpakpermission.cpp:537
 #, kde-format
@@ -298,9 +297,7 @@ msgstr "Применить права доступа"
 msgid ""
 "The permissions of this application have been changed. Do you want to apply "
 "these changes or discard them?"
-msgstr ""
-"Права данной программы были изменены. Применить эти изменения или отклонить"
-" их?"
+msgstr "Права доступа были изменены. Применить изменения или отклонить их?"
 
 #: package/contents/ui/permissions.qml:17
 #, kde-format
@@ -310,7 +307,7 @@ msgstr "Права доступа"
 #: package/contents/ui/permissions.qml:24
 #, kde-format
 msgid "Select an application from the list to view its permissions here"
-msgstr "Выберите программу из списка, чтобы увидеть её права здесь"
+msgstr "Для просмотра прав выберите приложение из списка"
 
 #: package/contents/ui/permissions.qml:55
 #, kde-format
@@ -325,7 +322,7 @@ msgstr "Показать дополнительные права"
 #: package/contents/ui/permissions.qml:68
 #, kde-format
 msgid "Add New"
-msgstr "Добавить новое"
+msgstr "Создать"
 
 #: package/contents/ui/permissions.qml:82
 #, kde-format
@@ -335,37 +332,37 @@ msgstr "Добавить новый путь"
 #: package/contents/ui/permissions.qml:83
 #, kde-format
 msgid "Add a new environment variable"
-msgstr "Добавить новую переменную окружения"
+msgstr "Создать переменную окружения"
 
 #: package/contents/ui/permissions.qml:84
 #, kde-format
 msgid "Add a new session bus"
-msgstr "Добавить новую сессионную шину"
+msgstr "Создать правило доступа к шине сеанса "
 
 #: package/contents/ui/permissions.qml:85
 #, kde-format
 msgid "Add a new system bus"
-msgstr "Добавить новую системную шину"
+msgstr "Создать правило доступа к системной шине"
 
 #: package/contents/ui/permissions.qml:94
 #, kde-format
 msgid "Add Filesystem Path Permission"
-msgstr "Добавить новое право к директории"
+msgstr "Назначение прав доступа к папке"
 
 #: package/contents/ui/permissions.qml:95
 #, kde-format
 msgid "Set Environment Variable"
-msgstr "Установите переменную окружения"
+msgstr "Создание переменной окружения"
 
 #: package/contents/ui/permissions.qml:96
 #, kde-format
 msgid "Add Session Bus Permission"
-msgstr "Добавить право доступа к сессионной шине"
+msgstr "Назначение прав доступа к шине сеанса"
 
 #: package/contents/ui/permissions.qml:97
 #, kde-format
 msgid "Add System Bus Permission"
-msgstr "Добавить право доступа к системной шине"
+msgstr "Назначение прав доступа к системной шине"
 
 #: package/contents/ui/permissions.qml:104
 #, kde-format
@@ -380,7 +377,7 @@ msgstr "Введите переменную…"
 #: package/contents/ui/permissions.qml:106
 #, kde-format
 msgid "Enter session bus name..."
-msgstr "Введите имя сессионной шины…"
+msgstr "Введите имя шины сеанса…"
 
 #: package/contents/ui/permissions.qml:107
 #, kde-format