diff --git a/20211029-anton.afonin-kate/kateproject.po b/20211029-anton.afonin-kate/kateproject.po
index 9f92852..512957a 100644
--- a/20211029-anton.afonin-kate/kateproject.po
+++ b/20211029-anton.afonin-kate/kateproject.po
@@ -4,21 +4,21 @@
 # Yuri Efremov <yur.arh@gmail.com>, 2013.
 # Alexander Lakhin <exclusion@gmail.com>, 2013.
 # Alexander Potashev <aspotashev@gmail.com>, 2015, 2016.
-# Alexander Yavorsky <kekcuha@gmail.com>, 2019, 2020.
+# Alexander Yavorsky <kekcuha@gmail.com>, 2019, 2020, 2021, 2023.
 # Anton Afonin <vdualb@mail.com>, 2021.
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
 "POT-Creation-Date: 2021-10-26 00:20+0000\n"
-"PO-Revision-Date: 2021-10-29 19:26+0700\n"
-"Last-Translator: Anton Afonin <vdualb@mail.com>\n"
+"PO-Revision-Date: 2023-04-03 16:37+0300\n"
+"Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 21.08.2\n"
+"X-Generator: Lokalize 21.08.3\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
 "X-Environment: kde\n"
@@ -38,161 +38,163 @@ msgstr "yur.arh@gmail.com"
 #: branchcheckoutdialog.cpp:29
 #, kde-format
 msgid "Select branch to checkout. Press 'Esc' to cancel."
-msgstr ""
+msgstr "Выберите ветвь для извлечения. Нажмите клавишу «Esc» для отмены."
 
 #: branchcheckoutdialog.cpp:36
 #, kde-format
 msgid "Create New Branch"
-msgstr ""
+msgstr "Создать ветвь"
 
 #: branchcheckoutdialog.cpp:38
 #, kde-format
 msgid "Create New Branch From..."
-msgstr ""
+msgstr "Создать ветвь из…"
 
 #: branchcheckoutdialog.cpp:53
 #, kde-format
 msgid "Branch %1 checked out"
-msgstr ""
+msgstr "Ветвь %1 извлечена"
 
 #: branchcheckoutdialog.cpp:56
 #, kde-format
 msgid "Failed to checkout to branch %1, Error: %2"
-msgstr ""
+msgstr "Не удалось извлечь в ветвь %1. Ошибка: %2"
 
 #: branchcheckoutdialog.cpp:77 branchcheckoutdialog.cpp:89
 #, kde-format
 msgid "Enter new branch name. Press 'Esc' to cancel."
-msgstr ""
+msgstr "Введите имя новой ветви. Для отмены нажмите клавишу «Esc»."
 
 #: branchcheckoutdialog.cpp:94
 #, kde-format
 msgid "Select branch to checkout from. Press 'Esc' to cancel."
 msgstr ""
+"Выберите ветвь, из которой следует выполнить извлечение. Для отмены нажмите"
+" клавишу «Esc»."
 
 #: branchcheckoutdialog.cpp:121
 #, kde-format
 msgid "Checked out to new branch: %1"
-msgstr ""
+msgstr "Извлечено в новую ветвь: %1"
 
 #: branchcheckoutdialog.cpp:123
 #, kde-format
 msgid "Failed to create new branch. Error \"%1\""
-msgstr ""
+msgstr "Не удалось создать ветвь. Ошибка «%1»"
 
 #: branchdeletedialog.cpp:30 kateprojecttreeviewcontextmenu.cpp:81
 #, kde-format
 msgid "Delete"
-msgstr ""
+msgstr "Удалить"
 
 #: branchdeletedialog.cpp:35
 #, kde-format
 msgid "Are you sure you want to delete the selected branch?"
 msgid_plural "Are you sure you want to delete the selected branches?"
-msgstr[0] ""
-msgstr[1] ""
-msgstr[2] ""
-msgstr[3] ""
+msgstr[0] "Удалить выбранные ветви?"
+msgstr[1] "Удалить выбранные ветви?"
+msgstr[2] "Удалить выбранные ветви?"
+msgstr[3] "Удалить выбранную ветвь?"
 
 #: branchesdialog.cpp:175
 #, kde-format
 msgid "Select Branch..."
-msgstr ""
+msgstr "Выберите ветвь…"
 
 #: branchesdialog.cpp:209 gitwidget.cpp:287 kateprojectpluginview.cpp:71
 #: kateprojectview.cpp:142
-#, fuzzy, kde-format
+#, kde-format
 #| msgid "&Git"
 msgid "Git"
-msgstr "&Git"
+msgstr "Git"
 
 #: comparebranchesview.cpp:141 filehistorywidget.cpp:215
 #, kde-format
 msgid "Back"
-msgstr ""
+msgstr "Назад"
 
 #: filehistorywidget.cpp:248
 #, kde-format
 msgid "Failed to get file history: %1"
-msgstr ""
+msgstr "Не удалось прочитать файл истории изменений: %1"
 
 #: gitcommitdialog.cpp:68 gitcommitdialog.cpp:113
 #, kde-format
 msgid "Commit Changes"
-msgstr ""
+msgstr "Зафиксировать изменения"
 
 #: gitcommitdialog.cpp:70 gitcommitdialog.cpp:112 gitwidget.cpp:173
 #, kde-format
 msgid "Commit"
-msgstr ""
+msgstr "Зафиксировать"
 
 #: gitcommitdialog.cpp:71
 #, kde-format
 msgid "Cancel"
-msgstr ""
+msgstr "Отмена"
 
 #: gitcommitdialog.cpp:73
 #, kde-format
 msgid "Write commit message..."
-msgstr ""
+msgstr "Написать сообщение фиксации…"
 
 #: gitcommitdialog.cpp:80
 #, kde-format
 msgid "Extended commit description..."
-msgstr ""
+msgstr "Расширенное описание фиксации…"
 
 #: gitcommitdialog.cpp:104
 #, kde-format
 msgid "Sign off"
-msgstr ""
+msgstr "Подпись"
 
 #: gitcommitdialog.cpp:108 gitcommitdialog.cpp:117
 #, kde-format
 msgid "Amend"
-msgstr ""
+msgstr "Исправить"
 
 #: gitcommitdialog.cpp:109 gitwidget.cpp:817
 #, kde-format
 msgid "Amend Last Commit"
-msgstr ""
+msgstr "Исправить последнюю фиксацию"
 
 #: gitcommitdialog.cpp:116
 #, kde-format
 msgid "Amending Commit"
-msgstr ""
+msgstr "Исправление фиксации"
 
 #: gitcommitdialog.cpp:200
 #, kde-format
 msgctxt "Number of characters"
 msgid "%1 / 52"
-msgstr ""
+msgstr "%1 / 52"
 
 #: gitcommitdialog.cpp:204
 #, kde-format
 msgctxt "Number of characters"
 msgid "<span style=\"color:%1;\">%2</span> / 52"
-msgstr ""
+msgstr "<span style=\"color:%1;\">%2</span> / 52"
 
 #: gitstatusmodel.cpp:86
 #, kde-format
 msgid "Staged"
-msgstr ""
+msgstr "Промежуточно сохранённые"
 
 #: gitstatusmodel.cpp:88
-#, fuzzy, kde-format
+#, kde-format
 #| msgid "<untracked>"
 msgid "Untracked"
-msgstr "<неотслеживаемые>"
+msgstr "Неотслеживаемые"
 
 #: gitstatusmodel.cpp:90
 #, kde-format
 msgid "Conflict"
-msgstr ""
+msgstr "Конфликтующие"
 
 #: gitstatusmodel.cpp:92
 #, kde-format
 msgid "Modified"
-msgstr ""
+msgstr "Изменённые"
 
 #: gitwidget.cpp:175
 #, kde-format
@@ -207,12 +209,12 @@ msgstr ""
 #: gitwidget.cpp:189
 #, kde-format
 msgid "Cancel Operation"
-msgstr ""
+msgstr "Отмена операции"
 
 #: gitwidget.cpp:197
 #, kde-format
 msgid " canceled."
-msgstr ""
+msgstr " отменено."
 
 #: gitwidget.cpp:273
 #, kde-format
@@ -222,42 +224,42 @@ msgstr ""
 #: gitwidget.cpp:357
 #, kde-format
 msgid " error: %1"
-msgstr ""
+msgstr " ошибка: %1"
 
 #: gitwidget.cpp:363
 #, kde-format
 msgid "\"%1\" executed successfully: %2"
-msgstr ""
+msgstr "«%1» выполнено успешно: %2"
 
 #: gitwidget.cpp:383
 #, kde-format
 msgid "Failed to stage file. Error:"
-msgstr ""
+msgstr "Не удалось применить промежуточное сохранение файла. Ошибка:"
 
 #: gitwidget.cpp:396
 #, kde-format
 msgid "Failed to unstage file. Error:"
-msgstr ""
+msgstr "Не удалось отменить промежуточное сохранение файла. Ошибка:"
 
 #: gitwidget.cpp:407
 #, kde-format
 msgid "Failed to discard changes. Error:"
-msgstr ""
+msgstr "Не удалось отменить изменения. Ошибка:"
 
 #: gitwidget.cpp:418
 #, kde-format
 msgid "Failed to remove. Error:"
-msgstr ""
+msgstr "Не удалось удалить. Ошибка:"
 
 #: gitwidget.cpp:434
 #, kde-format
 msgid "Failed to open file at HEAD: %1"
-msgstr ""
+msgstr "Не удалось открыть файл в HEAD: %1"
 
 #: gitwidget.cpp:466
 #, kde-format
 msgid "Failed to get Diff of file: %1"
-msgstr ""
+msgstr "Не удалось получить различия для файла: %1"
 
 #: gitwidget.cpp:472
 #, kde-format
@@ -282,12 +284,12 @@ msgstr ""
 #: gitwidget.cpp:546
 #, kde-format
 msgid "Failed to commit: %1"
-msgstr ""
+msgstr "Не удалось выполнить фиксацию: %1"
 
 #: gitwidget.cpp:550
 #, kde-format
 msgid "Changes committed successfully."
-msgstr ""
+msgstr "Изменения успешно зафиксированы."
 
 #: gitwidget.cpp:589
 #, kde-format
@@ -303,41 +305,43 @@ msgstr ""
 #, kde-format
 msgid "Nothing to commit. Please stage your changes first."
 msgstr ""
+"Нечего фиксировать. Сначала примените промежуточное сохранение изменений."
 
 #: gitwidget.cpp:640
 #, kde-format
 msgid "Commit message cannot be empty."
-msgstr ""
+msgstr "Сообщение фиксации не может быть пустым."
 
 #: gitwidget.cpp:760
 #, kde-format
 msgid "No diff for %1...%2"
-msgstr ""
+msgstr "Нет различий %1...%2"
 
 #: gitwidget.cpp:766
 #, kde-format
 msgid "Failed to compare %1...%2"
-msgstr ""
+msgstr "Не удалось сравнить %1...%2"
 
 #: gitwidget.cpp:776
 #, kde-format
 msgid "Failed to get numstat when diffing %1...%2"
 msgstr ""
+"Не удалось получить числовые статистические данные при сравнении %1...%2"
 
 #: gitwidget.cpp:810
 #, kde-format
 msgid "Refresh"
-msgstr ""
+msgstr "Обновить"
 
 #: gitwidget.cpp:821
 #, kde-format
 msgid "Checkout Branch"
-msgstr ""
+msgstr "Извлечь ветвь"
 
 #: gitwidget.cpp:827
 #, kde-format
 msgid "Delete Branch"
-msgstr ""
+msgstr "Удалить ветвь"
 
 #: gitwidget.cpp:836
 #, kde-format
@@ -347,67 +351,67 @@ msgstr ""
 #: gitwidget.cpp:845 gitwidget.cpp:879
 #, kde-format
 msgid "Stash"
-msgstr ""
+msgstr "Поместить в запасник"
 
 #: gitwidget.cpp:880
 #, kde-format
 msgid "Pop Last Stash"
-msgstr ""
+msgstr "Использовать последний запасник"
 
 #: gitwidget.cpp:881
 #, kde-format
 msgid "Pop Stash"
-msgstr ""
+msgstr "Использовать запасник"
 
 #: gitwidget.cpp:882
 #, kde-format
 msgid "Apply Last Stash"
-msgstr ""
+msgstr "Применить последний запасник"
 
 #: gitwidget.cpp:883
 #, kde-format
 msgid "Stash (Keep Staged)"
-msgstr ""
+msgstr "Запасник (сохранить промежуточно сохранённые)"
 
 #: gitwidget.cpp:884
 #, kde-format
 msgid "Stash (Include Untracked)"
-msgstr ""
+msgstr "Запасник (включить неотслеживаемые)"
 
 #: gitwidget.cpp:885
 #, kde-format
 msgid "Apply Stash"
-msgstr ""
+msgstr "Применить запасник"
 
 #: gitwidget.cpp:886
 #, kde-format
 msgid "Drop Stash"
-msgstr ""
+msgstr "Сбросить запасник"
 
 #: gitwidget.cpp:887
 #, kde-format
 msgid "Show Stash Content"
-msgstr ""
+msgstr "Показать содержимое запасника"
 
 #: gitwidget.cpp:940
 #, kde-format
 msgid "Stage All"
-msgstr ""
+msgstr "Применить промежуточное сохранение всех файлов"
 
 #: gitwidget.cpp:942
 #, kde-format
 msgid "Remove All"
-msgstr ""
+msgstr "Удалить все"
 
 #: gitwidget.cpp:942
 #, kde-format
 msgid "Discard All"
-msgstr ""
+msgstr "Отменить все"
 
 #: gitwidget.cpp:945
 #, kde-format
 msgid "Open .gitignore"
-msgstr ""
+msgstr "Открыть .gitignore"
 
 #: gitwidget.cpp:946 gitwidget.cpp:1034
 #, kde-format
@@ -417,18 +421,18 @@ msgstr ""
 #: gitwidget.cpp:963
 #, kde-format
 msgid "Are you sure you want to remove these files?"
-msgstr ""
+msgstr "Действительно удалить эти файлы?"
 
 #: gitwidget.cpp:968
 #, kde-format
 msgid "Are you sure you want to discard all changes?"
-msgstr ""
+msgstr "Действительно отменить все изменения?"
 
 #: gitwidget.cpp:991 kateprojectconfigpage.cpp:81 kateprojectconfigpage.cpp:92
-#, fuzzy, kde-format
+#, kde-format
 #| msgid "Open With"
 msgid "Open file"
-msgstr "Открыть с помощью..."
+msgstr "Открыть файл"
 
 #: gitwidget.cpp:992
 #, kde-format
@@ -443,7 +447,7 @@ msgstr ""
 #: gitwidget.cpp:994
 #, kde-format
 msgid "Open at HEAD"
-msgstr ""
+msgstr "Открыть HEAD"
 
 #: gitwidget.cpp:995
 #, kde-format
@@ -458,57 +462,57 @@ msgstr ""
 #: gitwidget.cpp:996
 #, kde-format
 msgid "Remove"
-msgstr ""
+msgstr "Удалить"
 
 #: gitwidget.cpp:996
 #, kde-format
 msgid "Discard"
-msgstr ""
+msgstr "Отменить"
 
 #: gitwidget.cpp:1013
 #, kde-format
 msgid "Are you sure you want to discard the changes in this file?"
-msgstr ""
+msgstr "Действительно отменить все изменения в этом файле?"
 
 #: gitwidget.cpp:1022
 #, kde-format
 msgid "Are you sure you want to remove this file?"
-msgstr ""
+msgstr "Действительно удалить этот файл?"
 
 #: gitwidget.cpp:1033
 #, kde-format
 msgid "Unstage All"
-msgstr ""
+msgstr "Отменить промежуточное сохранение всех файлов"
 
 #: gitwidget.cpp:1088
 #, kde-format
 msgid "Unstage Selected Files"
-msgstr ""
+msgstr "Отменить промежуточное сохранение выбранных файлов"
 
 #: gitwidget.cpp:1088
 #, kde-format
 msgid "Stage Selected Files"
-msgstr ""
+msgstr "Применить промежуточное сохранение выбранных файлов"
 
 #: gitwidget.cpp:1089
 #, kde-format
 msgid "Discard Selected Files"
-msgstr ""
+msgstr "Отменить выбранные файлы"
 
 #: gitwidget.cpp:1093
 #, kde-format
 msgid "Remove Selected Files"
-msgstr ""
+msgstr "Удалить выбранные файлы"
 
 #: gitwidget.cpp:1106
 #, kde-format
 msgid "Are you sure you want to discard the changes?"
-msgstr ""
+msgstr "Действительно отменить изменения?"
 
 #: gitwidget.cpp:1111
 #, kde-format
 msgid "Are you sure you want to remove these untracked changes?"
-msgstr ""
+msgstr "Действительно удалить эти неотслеживаемые изменения?"
 
 #: kateproject.cpp:422
 #, kde-format
@@ -559,7 +563,7 @@ msgstr "Индексирование проекта"
 #: kateprojectconfigpage.cpp:45
 #, kde-format
 msgid "Project ctags index settings"
-msgstr ""
+msgstr "Параметры индекса ctags проекта"
 
 #: kateprojectconfigpage.cpp:46 kateprojectinfoviewindex.cpp:207
 #, kde-format
@@ -585,61 +589,63 @@ msgstr ""
 #, kde-format
 msgctxt "Groupbox title"
 msgid "Cross-Project Functionality"
-msgstr ""
+msgstr "Межпроектная функциональность"
 
 #: kateprojectconfigpage.cpp:61
 #, kde-format
 msgid ""
 "Project plugin is able to perform some operations across multiple projects"
 msgstr ""
+"Модуль проектов позволяет выполнять некоторые действия над несколькими"
+" проектами"
 
 #: kateprojectconfigpage.cpp:62
-#, fuzzy, kde-format
+#, kde-format
 #| msgid "Project Completion"
 msgid "Cross-Project Completion"
-msgstr "Завершение проекта"
+msgstr "Межпроектное завершение"
 
 #: kateprojectconfigpage.cpp:64
 #, kde-format
 msgid "Cross-Project Goto Symbol"
-msgstr ""
+msgstr "Символ перехода между проектами"
 
 #: kateprojectconfigpage.cpp:72
-#, fuzzy, kde-format
+#, kde-format
 #| msgid "&Git"
 msgctxt "Groupbox title"
 msgid "Git"
-msgstr "&Git"
+msgstr "Git"
 
 #: kateprojectconfigpage.cpp:73
 #, kde-format
 msgid "Show number of changed lines in git status"
-msgstr ""
+msgstr "Показывать количество изменённых строк в представлении состояния git"
 
 #: kateprojectconfigpage.cpp:77
 #, kde-format
 msgid "Single click action in the git status view"
-msgstr ""
+msgstr "Действие по одиночному щелчку в представлении состояния git"
 
 #: kateprojectconfigpage.cpp:79 kateprojectconfigpage.cpp:90
 #, kde-format
 msgid "No Action"
-msgstr ""
+msgstr "Ничего не делать"
 
 #: kateprojectconfigpage.cpp:80 kateprojectconfigpage.cpp:91
 #, kde-format
 msgid "Show Diff"
-msgstr ""
+msgstr "Показать различия"
 
 #: kateprojectconfigpage.cpp:82 kateprojectconfigpage.cpp:93
 #, kde-format
 msgid "Stage / Unstage"
-msgstr ""
+msgstr "Применить или отменить промежуточное сохранение"
 
 #: kateprojectconfigpage.cpp:88
 #, kde-format
 msgid "Double click action in the git status view"
-msgstr ""
+msgstr "Действие по двойному щелчку в представлении состояния git"
 
 #: kateprojectconfigpage.cpp:122 kateprojectpluginview.cpp:66
 #, kde-format
@@ -680,7 +686,7 @@ msgstr "Примечания"
 #: kateprojectinfoviewcodeanalysis.cpp:29
 #, kde-format
 msgid "Start Analysis..."
-msgstr "Начать анализ..."
+msgstr "Начать анализ…"
 
 #: kateprojectinfoviewcodeanalysis.cpp:42 kateprojectinfoviewindex.cpp:35
 #, kde-format
@@ -708,8 +714,8 @@ msgid ""
 "%1<br/><br/>The tool will be run on all project files which match this list "
 "of file extensions:<br/><br/><b>%2</b>"
 msgstr ""
-"%1<br/><br/>Инструмент будет применён ко всем файлам проекта, расширения "
-"которых присуствуют в списке:<br/><br/><b>%2</b>"
+"%1<br/><br/>Инструмент будет применён ко всем файлам проекта, расширения"
+" которых присутствуют в списке:<br/><br/><b>%2</b>"
 
 #: kateprojectinfoviewcodeanalysis.cpp:243
 #, kde-format
@@ -772,7 +778,7 @@ msgstr "Подтвердите закрытие проекта: %1"
 #: kateprojectplugin.cpp:239
 #, kde-format
 msgid "Do you want to close the project %1 and the related %2 open documents?"
-msgstr "Закрыть проект %1 и связанные %2 открытых документов?"
+msgstr "Закрыть проект «%1» и связанные с ним открытые документы (%2)?"
 
 #: kateprojectplugin.cpp:535
 #, kde-format
@@ -802,19 +808,19 @@ msgstr "Текущий проект"
 #, kde-format
 #| msgid "Open With"
 msgid "Open Folder..."
-msgstr "Открыть папку..."
+msgstr "Открыть папку…"
 
 #: kateprojectpluginview.cpp:180
 #, kde-format
 #| msgid "Projects"
 msgid "Project TODOs"
-msgstr "TODO проекта"
+msgstr "Задачи проекта"
 
 #: kateprojectpluginview.cpp:190
 #, kde-format
 #| msgid "Lookup: %1"
 msgid "Lookup"
-msgstr "Получить сведения"
+msgstr "Поиск"
 
 #: kateprojectpluginview.cpp:193
 #, kde-format
@@ -839,15 +845,15 @@ msgid "Goto: %1"
 msgstr "Переход: %1"
 
 #: kateprojectpluginview.cpp:260
-#, fuzzy, kde-format
+#, kde-format
 #| msgid "Project"
 msgid "Projects Index"
-msgstr "Проект"
+msgstr "Индекс проекта"
 
 #: kateprojectpluginview.cpp:718
 #, kde-format
 msgid "Choose a directory"
-msgstr "Выбрать каталог"
+msgstr "Выбор каталога"
 
 #: kateprojecttreeviewcontextmenu.cpp:45
 #, kde-format
@@ -898,7 +904,7 @@ msgstr "Открыть встроенный терминал в этой пап
 #: kateprojecttreeviewcontextmenu.cpp:121
 #, kde-format
 msgid "Open External Terminal Here"
-msgstr ""
+msgstr "Открыть внешний терминал в этой папке"
 
 #: kateprojecttreeviewcontextmenu.cpp:126
 #, kde-format
@@ -908,22 +914,22 @@ msgstr "&Открыть содержащую папку"
 #: kateprojecttreeviewcontextmenu.cpp:136
 #, kde-format
 msgid "Show Git History"
-msgstr ""
+msgstr "Показать журнал Git"
 
 #: kateprojecttreeviewcontextmenu.cpp:156
 #, kde-format
 msgid "Delete File"
-msgstr "Удалить  файл"
+msgstr "Удалить файл"
 
 #: kateprojecttreeviewcontextmenu.cpp:157
 #, kde-format
 msgid "Do you want to delete the file '%1'?"
-msgstr "Удалить файл '%1'?"
+msgstr "Удалить файл «%1»?"
 
 #: kateprojectview.cpp:63
 #, kde-format
 msgid "Checkout Git Branch"
-msgstr ""
+msgstr "Извлечь ветвь Git"
 
 #: kateprojectview.cpp:68
 #, kde-format
@@ -933,72 +939,76 @@ msgstr "Фильтр..."
 #: kateprojectviewtree.cpp:133
 #, kde-format
 msgid "Failed to create file: %1, Error: %2"
-msgstr "Не удалось создать файл: %1, Ошибка: %2"
+msgstr "Не удалось создать файл: %1. Ошибка: %2"
 
 #: kateprojectviewtree.cpp:158
 #, kde-format
 msgid "Failed to create dir: %1"
-msgstr "Не удалось создать папку: %1"
+msgstr "Не удалось создать каталог: %1"
 
 #: stashdialog.cpp:164
 #, kde-format
 msgid "Stash message (optional). Enter to confirm, Esc to leave."
 msgstr ""
+"Сообщение запасника (необязательно). Нажмите клавишу «Enter» для "
+"подтверждения или клавишу «Esc» для отмены."
 
 #: stashdialog.cpp:171
 #, kde-format
 msgid "Type to filter, Enter to pop stash, Esc to leave."
 msgstr ""
+"Введите текст для применения фильтра, нажмите клавишу «Enter» для "
+"использования запасника, нажмите клавишу «Esc» для выхода."
 
 #: stashdialog.cpp:249
 #, kde-format
 msgid "Failed to stash changes %1"
-msgstr ""
+msgstr "Не удалось поместить в запасник изменения %1"
 
 #: stashdialog.cpp:251
 #, kde-format
 msgid "Changes stashed successfully."
-msgstr ""
+msgstr "Изменения успешно помещены в запасник."
 
 #: stashdialog.cpp:271
 #, kde-format
 msgid "Failed to get stash list. Error: "
-msgstr ""
+msgstr "Не удалось получить список запасника. Ошибка: "
 
 #: stashdialog.cpp:305
 #, kde-format
 msgid "Failed to apply stash. Error: "
-msgstr ""
+msgstr "Не удалось применить запасник. Ошибка: "
 
 #: stashdialog.cpp:307
 #, kde-format
 msgid "Failed to drop stash. Error: "
-msgstr ""
+msgstr "Не удалось сбросить запасник. Ошибка: "
 
 #: stashdialog.cpp:309
 #, kde-format
 msgid "Failed to pop stash. Error: "
-msgstr ""
+msgstr "Не удалось использовать запасник. Ошибка: "
 
 #: stashdialog.cpp:313
 #, kde-format
 msgid "Stash applied successfully."
-msgstr ""
+msgstr "Запасник успешно применён."
 
 #: stashdialog.cpp:315
 #, kde-format
 msgid "Stash dropped successfully."
-msgstr ""
+msgstr "Запасник успешно сброшен."
 
 #: stashdialog.cpp:317
 #, kde-format
 msgid "Stash popped successfully."
-msgstr ""
+msgstr "Запасник успешно использован."
 
 #: stashdialog.cpp:348
 #, kde-format
 msgid "Show stash failed. Error: "
-msgstr ""
+msgstr "Не удалось показать запасник. Ошибка: "
 
 #. i18n: ectx: Menu (projects)
 #: ui.rc:9